prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>37181779490747874089
,p_default_application_id=>93690
,p_default_id_offset=>0
,p_default_owner=>'ASHISH_ME'
);
end;
/
 
prompt APPLICATION 93690 - Ashish Sahay Plugins
--
-- Application Export:
--   Application:     93690
--   Name:            Ashish Sahay Plugins
--   Date and Time:   13:42 Sunday February 16, 2020
--   Exported By:     ASHISH
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 26096725044756695601
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     63113759365424
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/region_type/accordian_report
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(26096725044756695601)
,p_plugin_type=>'REGION TYPE'
,p_name=>'ACCORDIAN_REPORT'
,p_display_name=>'Accordian report'
,p_supported_ui_types=>'DESKTOP'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#PLUGIN_FILES#accordian.js',
'#PLUGIN_FILES#jquery.collapse.js',
'#PLUGIN_FILES#jquery.collapse_storage.js',
''))
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FUNCTION SQL_TO_SYS_REFCURSOR (',
'    P_IN_SQL_STATEMENT   CLOB,',
'    P_IN_BINDS           SYS.DBMS_SQL.VARCHAR2_TABLE',
') RETURN SYS_REFCURSOR AS',
'    VR_CURS         BINARY_INTEGER;',
'    VR_REF_CURSOR   SYS_REFCURSOR;',
'    VR_EXEC         BINARY_INTEGER;',
'/* TODO make size dynamic */',
'    VR_BINDS        VARCHAR(100);',
'BEGIN',
'    VR_CURS         := DBMS_SQL.OPEN_CURSOR;',
'    DBMS_SQL.PARSE(',
'        VR_CURS,',
'        P_IN_SQL_STATEMENT,',
'        DBMS_SQL.NATIVE',
'    );',
'    IF P_IN_BINDS.COUNT > 0 THEN',
'        FOR I IN 1..P_IN_BINDS.COUNT LOOP',
'        /* TODO find out how to prevent ltrim */',
'            VR_BINDS   := LTRIM(',
'                P_IN_BINDS(I),',
'                '':''',
'            );',
'            DBMS_SQL.BIND_VARIABLE(',
'                VR_CURS,',
'                VR_BINDS,',
'                V(VR_BINDS)',
'            );',
'        END LOOP;',
'    END IF;',
'',
'    VR_EXEC         := DBMS_SQL.EXECUTE(VR_CURS);',
'    VR_REF_CURSOR   := DBMS_SQL.TO_REFCURSOR(VR_CURS);',
'    RETURN VR_REF_CURSOR;',
'EXCEPTION',
'    WHEN OTHERS THEN',
'        IF DBMS_SQL.IS_OPEN(VR_CURS) THEN',
'            DBMS_SQL.CLOSE_CURSOR(VR_CURS);',
'        END IF;',
'        RAISE;',
'END;',
'',
'FUNCTION F_AJAX (',
'    P_REGION   IN         APEX_PLUGIN.T_REGION,',
'    P_PLUGIN   IN         APEX_PLUGIN.T_PLUGIN',
') RETURN APEX_PLUGIN.T_REGION_AJAX_RESULT IS',
'    VR_RESULT       APEX_PLUGIN.T_REGION_AJAX_RESULT;',
'    VR_CUR          SYS_REFCURSOR;',
'    VR_BIND_NAMES   SYS.DBMS_SQL.VARCHAR2_TABLE;',
'BEGIN',
'/* undocumented function of APEX for get all bindings */',
'    VR_BIND_NAMES   := WWV_FLOW_UTILITIES.GET_BINDS(P_REGION.SOURCE);',
'',
'/* execute binding*/',
'    VR_CUR          := SQL_TO_SYS_REFCURSOR(',
'        RTRIM(',
'            P_REGION.SOURCE,',
'            '';''',
'        ),',
'        VR_BIND_NAMES',
'    );',
'',
'/* create json */',
'    APEX_JSON.OPEN_OBJECT;',
'    APEX_JSON.WRITE(',
'        ''row'',',
'        VR_CUR',
'    );',
'    APEX_JSON.CLOSE_OBJECT;',
'',
'    RETURN VR_RESULT;',
'END;',
'',
'FUNCTION F_RENDER (',
'    P_REGION                IN                      APEX_PLUGIN.T_REGION,',
'    P_PLUGIN                IN                      APEX_PLUGIN.T_PLUGIN,',
'    P_IS_PRINTER_FRIENDLY   IN                      BOOLEAN',
') RETURN APEX_PLUGIN.T_REGION_RENDER_RESULT IS',
'',
'    VR_RESULT         APEX_PLUGIN.T_REGION_RENDER_RESULT;',
'    VR_ITEMS2SUBMIT   APEX_APPLICATION_PAGE_REGIONS.AJAX_ITEMS_TO_SUBMIT%TYPE := APEX_PLUGIN_UTIL.PAGE_ITEM_NAMES_TO_JQUERY(P_REGION.AJAX_ITEMS_TO_SUBMIT);',
'BEGIN',
'    APEX_CSS.ADD_FILE(',
'        P_NAME        => ''css'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''testashissssshsahay''',
'    );',
'    ',
'    APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''accordian'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''testashishsahayasasasasasas''',
'    );',
'',
'    APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''jquery.collapse'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''testashishsahassyasasasas''',
'    );',
'    ',
'        APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''jquery.collapse_storage'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''testashisdffhsahayasasasas''',
'    );',
' ',
'   APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''json2'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''tesshisdffhsahayasasasas''',
'    );',
' ',
'',
'    HTP.P(''<div id="'' || APEX_ESCAPE.HTML_ATTRIBUTE( P_REGION.STATIC_ID ) || ''-p" class="accordian_"></div>'');',
'',
'    APEX_JAVASCRIPT.ADD_ONLOAD_CODE( ''accordian.render(''',
'     || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.STATIC_ID, TRUE )    ',
'     || APEX_JAVASCRIPT.ADD_VALUE( APEX_PLUGIN.GET_AJAX_IDENTIFIER, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.NO_DATA_FOUND_MESSAGE, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( VR_ITEMS2SUBMIT, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.ESCAPE_OUTPUT, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.ATTRIBUTE_01, FALSE )',
'     || '');'' );',
'',
'    RETURN VR_RESULT;',
'END;'))
,p_api_version=>2
,p_render_function=>'F_RENDER'
,p_ajax_function=>'F_AJAX'
,p_standard_attributes=>'SOURCE_SQL:AJAX_ITEMS_TO_SUBMIT:NO_DATA_FOUND_MESSAGE:ESCAPE_OUTPUT'
,p_substitute_attributes=>true
,p_reference_id=>24825102781201731699
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Card Customization</br>',
'',
'#IMG_SRC# Card image source url </br>',
'e.g. https://raw.githubusercontent.com/ashishtheapexian/test/master/user.png </br></br>',
'',
'#CARD_LINK_LEFT# Left button link source (src)',
'#CARD_LINK_RIGHT# Right button link source (src)',
'#CARD_LINK_TEXT_LEFT# Left button Label text',
'#CARD_LINK_BACKGROUND_COLOR_LEFT# Left button background color </br>',
'e.g. ff6e40, ffff00</br></br>',
'',
'#CARD_LINK_BACKGROUND_COLOR_RIGHT# Right button background color</br>',
'e.g. ff6e40, ffff00</br></br>',
' ',
'#CARD_LINK_TEXT_RIGHT# Right button Label text',
'#CARD_LINK_ICON_POSITION_RIGHT# Right button icon position </br>',
'e.g. left, right</br></br>',
'#CARD_LINK_ICON_POSITION_LEFT# Left button icon position </br>',
'e.g. left, right</br></br>',
'#CARD_LINK_ICON_LEFT# Left button icon</br>',
'e.g. fa-check, fa-user</br></br>',
'#CARD_LINK_ICON_RIGHT# Right button icon</br>',
'e.g. fa-check, fa-user</br></br>',
'#CARD_REVEAL_CONTENT# Card content After the fact (Text on flip card)',
'#LINK_FONT_COLOR_LEFT# Left button font color </br>',
'e.g. ff6e40, ffff00</br></br>',
'#LINK_FONT_COLOR_RIGHT# Right button font color </br>',
'e.g. ff6e40, ffff00</br></br>'))
,p_version_identifier=>'1.0'
,p_about_url=>'https://apex.oracle.com/pls/apex/f?p=65172:10:701905050043074:::::'
,p_plugin_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Card Customization</br>',
'',
'#IMG_SRC# Card image source url </br>',
'e.g. https://raw.githubusercontent.com/ashishtheapexian/test/master/user.png </br></br>',
'',
'#CARD_LINK_LEFT# Left button link source (src)',
'#CARD_LINK_RIGHT# Right button link source (src)',
'#CARD_LINK_TEXT_LEFT# Left button Label text',
'#CARD_LINK_BACKGROUND_COLOR_LEFT# Left button background color </br>',
'e.g. ff6e40, ffff00</br></br>',
'',
'#CARD_LINK_BACKGROUND_COLOR_RIGHT# Right button background color</br>',
'e.g. ff6e40, ffff00</br></br>',
' ',
'#CARD_LINK_TEXT_RIGHT# Right button Label text',
'#CARD_LINK_ICON_POSITION_RIGHT# Right button icon position </br>',
'e.g. left, right</br></br>',
'#CARD_LINK_ICON_POSITION_LEFT# Left button icon position </br>',
'e.g. left, right</br></br>',
'#CARD_LINK_ICON_LEFT# Left button icon</br>',
'e.g. fa-check, fa-user</br></br>',
'#CARD_LINK_ICON_RIGHT# Right button icon</br>',
'e.g. fa-check, fa-user</br></br>',
'#CARD_REVEAL_CONTENT# Card content After the fact (Text on flip card)',
'#LINK_FONT_COLOR_LEFT# Left button font color </br>',
'e.g. ff6e40, ffff00</br></br>',
'#LINK_FONT_COLOR_RIGHT# Right button font color </br>',
'e.g. ff6e40, ffff00</br></br>'))
,p_files_version=>364
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(26096725236034695603)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'ConfiguraionJSON'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'{ "refresh": 0 ,"showIcon":"fa-long-arrow-down","hideIcon":"fa-long-arrow-down","headingBackground":"green","descBackground":"grey"}'
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul> <li>fa-times fa-2x</li>',
'     <li>fa-long-arrow-down</li>',
'</ul>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'cardWidth is the number of column span for one card <br>',
'e.g. : cardWidth = 4 will give ou 3 cards and cardWidth = 3 will give you 4 cards<br>',
'It is divisor of 12 grid columns<br>',
'',
'releaveHideIcon is the icon for hiding detail screen.<br>',
'',
' e.g. :fa-long-arrow-down"'))
,p_attribute_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'@Auther',
'Ashish Sahay',
'Version 1.0.1',
'2020 Feb 02'))
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(26096726883180695608)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_name=>'SOURCE_SQL'
,p_depending_on_has_to_exist=>true
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>SELECT Initcap(ename) CARD_TITLE, ',
'       CASE WHEN dp.deptno>20 THEN ',
'			''https://raw.githubusercontent.com/ashishtheapexian/test/master/user.png'' ',
'        ELSE ',
'			''https://www.shareicon.net/data/2017/01/06/868320_people_512x512.png'' ',
'		END IMG_SRC, ',
'		''#'' CARD_LINK_LEFT, ',
'		''#'' CARD_LINK_RIGHT, ',
'		''Left Link'' CARD_LINK_TEXT_LEFT, ',
'		''red'' CARD_LINK_BACKGROUND_COLOR_LEFT, ',
'		''green'' CARD_LINK_BACKGROUND_COLOR_RIGHT, ',
'		CASE WHEN dp.deptno >20 THEN ''Right Link'' ',
'			ELSE ''Link'' END  CARD_LINK_TEXT_RIGHT, ',
'		CASE WHEN dp.deptno >20 THEN ''right'' ',
'			ELSE ''left'' END CARD_LINK_ICON_POSITION_RIGHT, ',
'		CASE WHEN dp.deptno <20 THEN ''right'' ',
'			ELSE ''left'' END CARD_LINK_ICON_POSITION_LEFT, ',
'		''fa-check'' CARD_LINK_ICON_LEFT, ',
'		''fa-check'' CARD_LINK_ICON_RIGHT, ',
'		''<b>Employee No.:-</b>''|| empno || '' <br> ''|| ',
'		''<b>JOB :- </b>''|| job || '' <br> '' || ',
'		''<b>Dept no. :-</b>''|| dp.deptno || '' <br> '' || ',
'		''<b>Dept Name. :-</b>''|| dp.dname || '' <br> '' || ',
'		''<b>Salary :- </b>''|| sal || '' <br> ''|| ',
'		''Lorem Ipsum is simply dummy text of the printing and typesetting industry.'' ',
'		CARD_REVEAL_CONTENT, ',
'		CASE WHEN dp.deptno = 10 THEN ''ff6e40'' ',
'		WHEN dp.deptno = 20 THEN ''c5cae9'' ',
'		WHEN dp.deptno = 30 THEN ''ff6e40'' ',
'		WHEN dp.deptno = 40 THEN ''ffff00'' ',
'		END ',
'		LINK_FONT_COLOR_LEFT, ',
'		CASE WHEN dp.deptno = 10 THEN ''1e88e5'' ',
'		WHEN dp.deptno = 20 THEN ''070912'' ',
'		WHEN dp.deptno = 30 THEN ''3f4da6'' ',
'		WHEN dp.deptno = 40 THEN ''1e88e5'' ',
'		END ',
'		LINK_FONT_COLOR_RIGHT ',
'FROM emp emp ',
'inner join dept dp ',
'ON dp.deptno = emp.deptno ',
'ORDER BY 1',
'</pre>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<h4>Card Customization</h4>',
'',
'<b>#IMG_SRC#</b> Card image source url <br>',
'e.g. https://raw.githubusercontent.com/ashishtheapexian/test/master/user.png <br><br>',
'',
'<b>#CARD_LINK_LEFT#</b> Left button link source (src)<br>',
'e.g. https://www.linkedin.com/in/ashish-sahay-the-apexian/ <br>',
'javascript:alert(''Hello world!'')<br>',
'<b>#CARD_LINK_RIGHT#</b> Right button link source (src)<br>',
'e.g. https://www.linkedin.com/in/ashish-sahay-the-apexian/ <br>',
'javascript:alert(''Hello world!'')<br>',
'<b>#CARD_LINK_TEXT_LEFT#</b> Left button Label text<br>',
'<b>#CARD_LINK_BACKGROUND_COLOR_LEFT#</b> Left button background color <br>',
'e.g. ff6e40, ffff00<br><br>',
'',
'<b>#CARD_LINK_BACKGROUND_COLOR_RIGHT#</b> Right button background color<br>',
'e.g. ff6e40, ffff00<br><br>',
' ',
'<b>#CARD_LINK_TEXT_RIGHT#</b> Right button Label text<br>',
'<b>#CARD_LINK_ICON_POSITION_RIGHT#</b> Right button icon position <br>',
'e.g. left, right<br><br>',
'<b>#CARD_LINK_ICON_POSITION_LEFT#</b> Left button icon position <br>',
'e.g. left, right<br><br>',
'<b>#CARD_LINK_ICON_LEFT#</b> Left button icon<br>',
'e.g. fa-check, fa-user<br><br>',
'<b>#CARD_LINK_ICON_RIGHT#</b> Right button icon<br>',
'e.g. fa-check, fa-user<br><br>',
'<b>#CARD_REVEAL_CONTENT#</b> Card content After the fact (Text on flip card)<br>',
'<b>#LINK_FONT_COLOR_LEFT#</b> Left button font color <br>',
'e.g. ff6e40, ffff00<br><br>',
'<b>#LINK_FONT_COLOR_RIGHT#</b> Right button font color <br>',
'e.g. ff6e40, ffff00<br><br>'))
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '766172206163636F726469616E203D202866756E6374696F6E202829207B0D0A202020202275736520737472696374223B0D0A202020207661722073637269707456657273696F6E203D2022312E302E30223B0D0A20202020766172207574696C203D20';
wwv_flow_api.g_varchar2_table(2) := '7B0D0A202020202020202076657273696F6E3A2022312E302E30222C0D0A20202020202020206973415045583A2066756E6374696F6E202829207B0D0A20202020202020202020202069662028747970656F6628617065782920213D3D2027756E646566';
wwv_flow_api.g_varchar2_table(3) := '696E65642729207B0D0A2020202020202020202020202020202072657475726E20747275653B0D0A2020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202072657475726E2066616C73653B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(4) := '20202020207D0D0A20202020202020207D2C0D0A202020202020202064656275673A207B0D0A202020202020202020202020696E666F3A2066756E6374696F6E202873747229207B0D0A20202020202020202020202020202020696620287574696C2E69';
wwv_flow_api.g_varchar2_table(5) := '7341504558282929207B0D0A2020202020202020202020202020202020202020617065782E64656275672E696E666F28737472293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D2C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(6) := '20206572726F723A2066756E6374696F6E202873747229207B0D0A20202020202020202020202020202020696620287574696C2E697341504558282929207B0D0A2020202020202020202020202020202020202020617065782E64656275672E6572726F';
wwv_flow_api.g_varchar2_table(7) := '7228737472293B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020636F6E736F6C652E6572726F7228737472293B0D0A202020202020202020202020202020207D0D0A2020202020';
wwv_flow_api.g_varchar2_table(8) := '202020202020207D0D0A20202020202020207D2C0D0A20202020202020206C6F616465723A207B0D0A20202020202020202020202073746172743A2066756E6374696F6E2028696429207B0D0A2020202020202020202020202020202069662028757469';
wwv_flow_api.g_varchar2_table(9) := '6C2E697341504558282929207B0D0A2020202020202020202020202020202020202020617065782E7574696C2E73686F775370696E6E6572282428696429293B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(10) := '2020202020202020202020202F2A20646566696E65206C6F61646572202A2F0D0A20202020202020202020202020202020202020207661722066614C6F61646572203D202428223C7370616E3E3C2F7370616E3E22293B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(11) := '20202020202020202066614C6F616465722E6174747228226964222C20226C6F6164657222202B206964293B0D0A202020202020202020202020202020202020202066614C6F616465722E616464436C617373282263742D6C6F6164657222293B0D0A0D';
wwv_flow_api.g_varchar2_table(12) := '0A20202020202020202020202020202020202020202F2A20646566696E6520726566726573682069636F6E207769746820616E696D6174696F6E202A2F0D0A202020202020202020202020202020202020202076617220666152656672657368203D2024';
wwv_flow_api.g_varchar2_table(13) := '28223C693E3C2F693E22293B0D0A20202020202020202020202020202020202020206661526566726573682E616464436C617373282266612066612D757365722066612D35782066612D616E696D2D7370696E22293B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(14) := '20202020202020206661526566726573682E63737328226261636B67726F756E64222C202272676261283132312C3132312C3132312C302E362922293B0D0A20202020202020202020202020202020202020206661526566726573682E6373732822626F';
wwv_flow_api.g_varchar2_table(15) := '726465722D726164697573222C20223130302522293B0D0A20202020202020202020202020202020202020206661526566726573682E637373282270616464696E67222C20223135707822293B0D0A202020202020202020202020202020202020202066';
wwv_flow_api.g_varchar2_table(16) := '61526566726573682E6373732822636F6C6F72222C2022776869746522293B0D0A0D0A20202020202020202020202020202020202020202F2A20617070656E64206C6F61646572202A2F0D0A202020202020202020202020202020202020202066614C6F';
wwv_flow_api.g_varchar2_table(17) := '616465722E617070656E6428666152656672657368293B0D0A202020202020202020202020202020202020202024286964292E617070656E642866614C6F61646572293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(18) := '207D2C0D0A20202020202020202020202073746F703A2066756E6374696F6E2028696429207B0D0A2020202020202020202020202020202024286964202B2022203E202E752D50726F63657373696E6722292E72656D6F766528293B0D0A202020202020';
wwv_flow_api.g_varchar2_table(19) := '2020202020202020202024286964202B2022203E202E63742D6C6F6164657222292E72656D6F766528293B0D0A2020202020202020202020207D0D0A20202020202020207D2C0D0A20202020202020206A736F6E53617665457874656E643A2066756E63';
wwv_flow_api.g_varchar2_table(20) := '74696F6E2028737263436F6E6669672C20746172676574436F6E66696729207B0D0A2020202020202020202020207661722066696E616C436F6E666967203D207B7D3B0D0A2020202020202020202020202F2A2074727920746F20706172736520636F6E';
wwv_flow_api.g_varchar2_table(21) := '666967206A736F6E207768656E20737472696E67206F72206A75737420736574202A2F0D0A20202020202020202020202069662028747970656F6620746172676574436F6E666967203D3D3D2027737472696E672729207B0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(22) := '202020202020747279207B0D0A2020202020202020202020202020202020202020746172676574436F6E666967203D204A534F4E2E706172736528746172676574436F6E666967293B0D0A202020202020202020202020202020207D2063617463682028';
wwv_flow_api.g_varchar2_table(23) := '6529207B0D0A2020202020202020202020202020202020202020636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F20706172736520746172676574436F6E6669672E20506C6561736520636865636B20796F757220436F';
wwv_flow_api.g_varchar2_table(24) := '6E666967204A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22293B0D0A2020202020202020202020202020202020202020636F6E736F6C652E6572726F722865293B0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(25) := '20202020636F6E736F6C652E6572726F7228746172676574436F6E666967293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202066696E616C436F6E66';
wwv_flow_api.g_varchar2_table(26) := '6967203D20746172676574436F6E6669673B0D0A2020202020202020202020207D0D0A2020202020202020202020202F2A2074727920746F206D657267652077697468207374616E6461726420696620616E7920617474726962757465206973206D6973';
wwv_flow_api.g_varchar2_table(27) := '73696E67202A2F0D0A202020202020202020202020747279207B0D0A2020202020202020202020202020202066696E616C436F6E666967203D20242E657874656E6428747275652C20737263436F6E6669672C20746172676574436F6E666967293B0D0A';
wwv_flow_api.g_varchar2_table(28) := '2020202020202020202020207D20636174636820286529207B0D0A20202020202020202020202020202020636F6E736F6C652E6572726F7228274572726F72207768696C652074727920746F206D657267652032204A534F4E7320696E746F207374616E';
wwv_flow_api.g_varchar2_table(29) := '64617264204A534F4E20696620616E7920617474726962757465206973206D697373696E672E20506C6561736520636865636B20796F757220436F6E666967204A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E27';
wwv_flow_api.g_varchar2_table(30) := '293B0D0A20202020202020202020202020202020636F6E736F6C652E6572726F722865293B0D0A2020202020202020202020202020202066696E616C436F6E666967203D20737263436F6E6669673B0D0A20202020202020202020202020202020636F6E';
wwv_flow_api.g_varchar2_table(31) := '736F6C652E6572726F722866696E616C436F6E666967293B0D0A2020202020202020202020207D0D0A20202020202020202020202072657475726E2066696E616C436F6E6669673B0D0A20202020202020207D2C0D0A20202020202020206E6F44617461';
wwv_flow_api.g_varchar2_table(32) := '4D6573736167653A207B0D0A20202020202020202020202073686F773A2066756E6374696F6E202869642C207465787429207B0D0A2020202020202020202020202020202076617220646976203D202428223C6469763E3C2F6469763E22290D0A202020';
wwv_flow_api.g_varchar2_table(33) := '20202020202020202020202020202020202E63737328226D617267696E222C20223132707822290D0A20202020202020202020202020202020202020202E6373732822746578742D616C69676E222C202263656E74657222290D0A202020202020202020';
wwv_flow_api.g_varchar2_table(34) := '20202020202020202020202E637373282270616464696E67222C202236347078203022290D0A20202020202020202020202020202020202020202E616464436C61737328226E6F64617461666F756E646D65737361676522293B0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(35) := '2020202020202020202076617220737562446976203D202428223C6469763E3C2F6469763E22293B0D0A0D0A20202020202020202020202020202020766172207375624469765370616E203D202428223C7370616E3E3C2F7370616E3E22290D0A202020';
wwv_flow_api.g_varchar2_table(36) := '20202020202020202020202020202020202E616464436C6173732822666122290D0A20202020202020202020202020202020202020202E616464436C617373282266612D73656172636822290D0A20202020202020202020202020202020202020202E61';
wwv_flow_api.g_varchar2_table(37) := '6464436C617373282266612D327822290D0A20202020202020202020202020202020202020202E6373732822686569676874222C20223332707822290D0A20202020202020202020202020202020202020202E63737328227769647468222C2022333270';
wwv_flow_api.g_varchar2_table(38) := '7822290D0A20202020202020202020202020202020202020202E6373732822636F6C6F72222C20222344304430443022290D0A20202020202020202020202020202020202020202E63737328226D617267696E2D626F74746F6D222C2022313670782229';
wwv_flow_api.g_varchar2_table(39) := '3B0D0A0D0A202020202020202020202020202020207375624469762E617070656E64287375624469765370616E293B0D0A0D0A20202020202020202020202020202020766172207370616E203D202428223C7370616E3E3C2F7370616E3E22290D0A2020';
wwv_flow_api.g_varchar2_table(40) := '2020202020202020202020202020202020202E746578742874657874290D0A20202020202020202020202020202020202020202E6373732822646973706C6179222C2022626C6F636B22290D0A20202020202020202020202020202020202020202E6373';
wwv_flow_api.g_varchar2_table(41) := '732822636F6C6F72222C20222337303730373022290D0A20202020202020202020202020202020202020202E6373732822666F6E742D73697A65222C20223132707822293B0D0A0D0A202020202020202020202020202020206469760D0A202020202020';
wwv_flow_api.g_varchar2_table(42) := '202020202020202020202E617070656E6428737562446976290D0A202020202020202020202020202020202E617070656E64287370616E293B0D0A0D0A2020202020202020202020202020202024286964292E617070656E6428646976293B0D0A202020';
wwv_flow_api.g_varchar2_table(43) := '2020202020202020207D2C0D0A202020202020202020202020686964653A2066756E6374696F6E2028696429207B0D0A2020202020202020202020202020202024286964292E6368696C6472656E28272E6E6F64617461666F756E646D65737361676527';
wwv_flow_api.g_varchar2_table(44) := '292E72656D6F766528293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020207D3B0D0A0D0A202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(45) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A0D0A20202020202A2A0D0A20202020202A2A205573656420746F2064726177206120636F6E7461696E65720D0A20202020202A2A0D0A20202020202A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(46) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A2020202066756E6374696F6E2064726177436F6E7461696E657228706172656E7429207B0D0A20202020';
wwv_flow_api.g_varchar2_table(47) := '2020202076617220646976203D202428223C6469763E3C2F6469763E22293B0D0A20202020202020206469762E616464436C6173732822637373332D616E696D617465642D6578616D706C6522293B0D0A2020202020202020706172656E742E61707065';
wwv_flow_api.g_varchar2_table(48) := '6E6428646976293B0D0A202020202020202072657475726E2028646976293B0D0A202020207D0D0A0D0A202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(49) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A0D0A20202020202A2A0D0A20202020202A2A205573656420746F2064726177206120726F770D0A20202020202A2A0D0A20202020202A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(50) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A2020202066756E6374696F6E2064726177526F7728706172656E7429207B0D0A202020202020202076617220646976203D202428223C64';
wwv_flow_api.g_varchar2_table(51) := '69763E3C2F6469763E22293B0D0A20202020202020206469762E616464436C6173732822617065782D726F7722293B0D0A2020202020202020706172656E742E617070656E6428646976293B0D0A202020202020202072657475726E2028646976293B0D';
wwv_flow_api.g_varchar2_table(52) := '0A202020207D0D0A0D0A202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A0D0A20202020202A2A0D0A2020';
wwv_flow_api.g_varchar2_table(53) := '2020202A2A205573656420746F2072656E646572207468652068746D6C20696E746F20726567696F6E0D0A20202020202A2A0D0A20202020202A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(54) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A2020202066756E6374696F6E2072656E64657248544D4C2870506172656E7449442C2070446174612C207045736361706548544D4C2C2070436F6E6669674A534F4E29207B';
wwv_flow_api.g_varchar2_table(55) := '0D0A0D0A202020202020202076617220706172656E74203D20242870506172656E744944293B0D0A2020202020202020706172656E742E706172656E7428292E63737328226F766572666C6F77222C2022696E686572697422293B0D0A0D0A2020202020';
wwv_flow_api.g_varchar2_table(56) := '20202076617220636F6E7461696E6572203D2064726177436F6E7461696E657228706172656E74293B202F2F20777261707065720D0A202020202020202076617220726F77203D20636F6E7461696E65723B202F2F64726177526F7728636F6E7461696E';
wwv_flow_api.g_varchar2_table(57) := '6572293B0D0A20202020202020202F2F2076617220726F77203D20636F6E7461696E65723B0D0A202020202020202076617220636172644E756D203D20303B0D0A2020202020202020766172207A696E646578203D2031303B0D0A202020202020202076';
wwv_flow_api.g_varchar2_table(58) := '61722072656C656176654869646549636F6E203D2070436F6E6669674A534F4E2E72656C656176654869646549636F6E3B0D0A0D0A20202020202020202F2F20636172644E756D203D203132202F2070436F6E6669674A534F4E2E636172645769647468';
wwv_flow_api.g_varchar2_table(59) := '3B0D0A20202020202020207661722068656164696E675F6261636B67726F756E64203D2070436F6E6669674A534F4E2E68656164696E674261636B67726F756E643B0D0A2020202020202020766172206C5F6465736372697074696F6E5F6261636B6772';
wwv_flow_api.g_varchar2_table(60) := '6F756E64203D2070436F6E6669674A534F4E2E646573634261636B67726F756E643B0D0A0909766172206C5F73686F7749636F6E203D2070436F6E6669674A534F4E2E73686F7749636F6E3B0D0A0909766172206C5F6869646549636F6E203D2070436F';
wwv_flow_api.g_varchar2_table(61) := '6E6669674A534F4E2E6869646549636F6E3B0D0A0909766172206C5F6163636F726469616E203D2070436F6E6669674A534F4E2E6163636F726469616E3B0D0A0909636F6E736F6C652E6C6F67286C5F6163636F726469616E293B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(62) := '20242E656163682870446174612C2066756E6374696F6E20286964782C206461746129207B0D0A202020202020202020202020636172644E756D203D20636172644E756D202B2070436F6E6669674A534F4E2E6361726457696474683B0D0A0D0A202020';
wwv_flow_api.g_varchar2_table(63) := '2020202020202020202F2F20766172206D6174466C697043617264436F6C203D202428223C6469763E3C2F6469763E22293B0D0A2020202020202020202020202F2F206D6174466C697043617264436F6C2E616464436C6173732822666C69702D632D63';
wwv_flow_api.g_varchar2_table(64) := '6F6C2D22202B2070436F6E6669674A534F4E2E636172645769647468293B0D0A0D0A2020202020202020202020207661722068656164696E6773203D202428223C68333E3C2F68333E22293B0D0A2020202020202020202020202F2F20636F6C732E6164';
wwv_flow_api.g_varchar2_table(65) := '64436C6173732827636F6C756D6E7320636F6C20636F6C2D272B636172644E756D2B2720617065782D636F6C2D6175746F27293B0D0A20202020202020202020202068656164696E67732E68746D6C28646174612E5449544C45293B0D0A202020202020';
wwv_flow_api.g_varchar2_table(66) := '20202020202068656164696E67732E616464436C61737328277469746C655F6865616427293B0D0A202020202020202020202020242868656164696E6773292E63737328276261636B67726F756E64272C2068656164696E675F6261636B67726F756E64';
wwv_flow_api.g_varchar2_table(67) := '293B0D0A0D0A2020202020202020202020207661722068656164696E675F69636F6E73203D202428273C6920636C6173733D22666120272B6C5F73686F7749636F6E2B2722207374796C653D22766572746963616C2D616C69676E3A20626173656C696E';
wwv_flow_api.g_varchar2_table(68) := '652021696D706F7274616E743B20666F6E742D73697A653A20696E68657269743B223E3C2F693E27293B0D0A20202020202020202020202068656164696E67732E70726570656E642868656164696E675F69636F6E73293B0D0A0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(69) := '20202020766172206C5F636F6E7461696E6572203D202428223C6469763E3C2F6469763E22293B0D0A2020202020202020202020206C5F636F6E7461696E65722E616464436C6173732827636F6E74656E745F7465787427293B0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(70) := '202020202020766172206C5F636F6E74656E74203D202428223C6469763E3C2F6469763E22293B0D0A2020202020202020202020206C5F636F6E74656E742E616464436C6173732822636F6E74656E7422293B0D0A202020202020202020202020242870';
wwv_flow_api.g_varchar2_table(71) := '6172656E74292E6368696C6472656E28272E637373332D616E696D617465642D6578616D706C6527292E66696E6428276469762E636F6E74656E7427292E63737328276261636B67726F756E64272C206C5F6465736372697074696F6E5F6261636B6772';
wwv_flow_api.g_varchar2_table(72) := '6F756E64293B0D0A0D0A202020202020202020202020766172206C5F74657874203D202428223C703E3C2F703E22293B0D0A2020202020202020202020206C5F746578742E616464436C6173732822746578745F636F6E74656E7422293B0D0A20202020';
wwv_flow_api.g_varchar2_table(73) := '20202020202020206C5F746578742E68746D6C28646174612E54455854293B0D0A0D0A2020202020202020202020202F2F2076617220636172645F72657665616C5F636F6E74656E745F70617261203D202428223C703E3C2F703E22293B0D0A20202020';
wwv_flow_api.g_varchar2_table(74) := '20202020202020202F2F20636172645F72657665616C5F636F6E74656E745F706172612E68746D6C28646174612E434152445F52455645414C5F434F4E54454E54293B0D0A2020202020202020202020202F2F20636172645F72657665616C5F636F6E74';
wwv_flow_api.g_varchar2_table(75) := '656E745F706172612E616464436C61737328226173686973685F73686F775F6D6F72655F636F6E74656E7422290D0A2020202020202020202020206C5F636F6E74656E742E617070656E64286C5F74657874293B0D0A2020202020202020202020206C5F';
wwv_flow_api.g_varchar2_table(76) := '636F6E7461696E65722E617070656E64286C5F636F6E74656E74293B0D0A0D0A202020202020202020202020726F772E617070656E642868656164696E6773293B0D0A202020202020202020202020726F772E617070656E64286C5F636F6E7461696E65';
wwv_flow_api.g_varchar2_table(77) := '72293B0D0A0D0A20202020202020207D293B0D0A20202020202020202428706172656E74292E6368696C6472656E28222E637373332D616E696D617465642D6578616D706C6522292E656163682866756E6374696F6E202829207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(78) := '2020202020242874686973292E636F6C6C61707365287B0D0A202020202020202020202020202020206865616465723A20223E20646976203E206833222C0D0A202020202020202020202020202020206163636F7264696F6E3A20747275652C0D0A2020';
wwv_flow_api.g_varchar2_table(79) := '2020202020202020202020202020706572736973743A206C5F6163636F726469616E2C0D0A202020202020202020202020202020206F70656E3A2066756E6374696F6E202829207B0D0A2020202020202020202020202020202020202020746869732E61';
wwv_flow_api.g_varchar2_table(80) := '6464436C61737328226F70656E22293B0D0A2020202020202020202020202020202020202020746869732E7072657628292E6368696C6472656E28276127292E6368696C6472656E28276927292E617474722827636C617373272C2027666120272B6C5F';
wwv_flow_api.g_varchar2_table(81) := '6869646549636F6E293B0D0A2020202020202020202020202020202020202020746869732E637373287B0D0A2020202020202020202020202020202020202020202020206865696768743A20746869732E6368696C6472656E28292E6F75746572486569';
wwv_flow_api.g_varchar2_table(82) := '67687428290D0A20202020202020202020202020202020202020207D293B0D0A202020202020202020202020202020207D2C0D0A20202020202020202020202020202020636C6F73653A2066756E6374696F6E202829207B0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(83) := '20202020202020202020746869732E637373287B0D0A2020202020202020202020202020202020202020202020206865696768743A2022307078220D0A20202020202020202020202020202020202020207D293B0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(84) := '202020202020746869732E7072657628292E6368696C6472656E28276127292E6368696C6472656E28276927292E617474722827636C617373272C2027666120272B6C5F73686F7749636F6E293B0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(85) := '746869732E72656D6F7665436C61737328226F70656E22293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D293B0D0A0D0A20202020202020207D293B0D0A0D0A20202020202020202428272E636F6E74656E745F';
wwv_flow_api.g_varchar2_table(86) := '746578742E6F70656E27292E63737328226261636B67726F756E64222C20222361616666666622293B0D0A20202020202020202428272E636F6E74656E745F746578742E6F70656E27292E6373732822686569676874222C20226175746F22293B0D0A0D';
wwv_flow_api.g_varchar2_table(87) := '0A202020207D0D0A202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A0D0A20202020202A2A0D0A20202020';
wwv_flow_api.g_varchar2_table(88) := '202A2A205573656420746F20636865636B206461746120616E6420746F2063616C6C2072656E646572696E670D0A20202020202A2A0D0A20202020202A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(89) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A2020202066756E6374696F6E2070726570617265446174612870506172656E7449442C2070446174612C20704E6F44617461466F756E642C20704573636170654854';
wwv_flow_api.g_varchar2_table(90) := '4D4C2C2070436F6E6669674A534F4E29207B0D0A20202020202020202F2A20656D70747920636F6E7461696E657220666F72206E6577207374756666202A2F0D0A2020202020202020242870506172656E744944292E656D70747928293B0D0A0D0A2020';
wwv_flow_api.g_varchar2_table(91) := '2020202020206966202870446174612E726F772026262070446174612E726F772E6C656E677468203E203029207B0D0A0D0A20202020202020202020202072656E64657248544D4C2870506172656E7449442C2070446174612E726F772C207045736361';
wwv_flow_api.g_varchar2_table(92) := '706548544D4C2C2070436F6E6669674A534F4E293B0D0A20202020202020207D20656C7365207B0D0A0D0A202020202020202020202020242870506172656E744944292E63737328226D696E2D686569676874222C202222293B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(93) := '202020207574696C2E6E6F446174614D6573736167652E73686F772870506172656E7449442C20704E6F44617461466F756E64293B0D0A20202020202020207D0D0A20202020202020207574696C2E6C6F616465722E73746F702870506172656E744944';
wwv_flow_api.g_varchar2_table(94) := '293B0D0A202020207D0D0A0D0A2020202072657475726E207B0D0A202020202020202072656E6465723A2066756E6374696F6E2028726567696F6E49442C20616A617849442C206E6F44617461466F756E644D6573736167652C206974656D7332537562';
wwv_flow_api.g_varchar2_table(95) := '6D69742C2065736361706552657175697265642C207564436F6E6669674A534F4E29207B0D0A20202020202020202020202076617220706172656E744944203D20222322202B20726567696F6E4944202B20222D70223B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(96) := '2076617220737464436F6E6669674A534F4E203D207B0D0A2020202020202020202020202020202022636172645769647468223A20342C0D0A202020202020202020202020202020202272656672657368223A20300D0A2020202020202020202020207D';
wwv_flow_api.g_varchar2_table(97) := '3B0D0A0D0A20202020202020202020202076617220636F6E6669674A534F4E203D207B7D3B0D0A202020202020202020202020636F6E6669674A534F4E203D207574696C2E6A736F6E53617665457874656E6428737464436F6E6669674A534F4E2C2075';
wwv_flow_api.g_varchar2_table(98) := '64436F6E6669674A534F4E293B0D0A2020202020202020202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(99) := '0D0A202020202020202020202020202A2A0D0A202020202020202020202020202A2A205573656420746F2067657420646174612066726F6D20415045580D0A202020202020202020202020202A2A0D0A202020202020202020202020202A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(100) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A20202020202020202020202066756E6374696F6E20676574446174612829207B0D';
wwv_flow_api.g_varchar2_table(101) := '0A0D0A202020202020202020202020202020202428706172656E744944292E63737328226D696E2D686569676874222C2022313230707822293B0D0A202020202020202020202020202020207574696C2E6C6F616465722E737461727428706172656E74';
wwv_flow_api.g_varchar2_table(102) := '4944293B0D0A0D0A20202020202020202020202020202020766172207375626D69744974656D73203D206974656D73325375626D69743B0D0A20202020202020202020202020202020747279207B0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(103) := '617065782E7365727665722E706C7567696E280D0A202020202020202020202020202020202020202020202020616A617849442C207B0D0A202020202020202020202020202020202020202020202020706167654974656D733A207375626D6974497465';
wwv_flow_api.g_varchar2_table(104) := '6D730D0A20202020202020202020202020202020202020207D2C207B0D0A202020202020202020202020202020202020202020202020737563636573733A2066756E6374696F6E2028704461746129207B0D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(105) := '2020202020202020202020707265706172654461746128706172656E7449442C2070446174612C206E6F44617461466F756E644D6573736167652C2065736361706552657175697265642C20636F6E6669674A534F4E290D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(106) := '202020202020202020202020207D2C0D0A2020202020202020202020202020202020202020202020206572726F723A2066756E6374696F6E20286429207B0D0A20202020202020202020202020202020202020202020202020202020636F6E736F6C652E';
wwv_flow_api.g_varchar2_table(107) := '6572726F7228642E726573706F6E736554657874293B0D0A2020202020202020202020202020202020202020202020207D2C0D0A20202020202020202020202020202020202020202020202064617461547970653A20226A736F6E220D0A202020202020';
wwv_flow_api.g_varchar2_table(108) := '20202020202020202020202020207D293B0D0A202020202020202020202020202020207D20636174636820286529207B0D0A2020202020202020202020202020202020202020636F6E736F6C652E6572726F7228224572726F72207768696C6520747279';
wwv_flow_api.g_varchar2_table(109) := '20746F2067657420446174612066726F6D204150455822293B0D0A2020202020202020202020202020202020202020636F6E736F6C652E6572726F722865293B0D0A202020202020202020202020202020207D0D0A0D0A2020202020202020202020207D';
wwv_flow_api.g_varchar2_table(110) := '0D0A0D0A2020202020202020202020202F2F206C6F616420646174610D0A2020202020202020202020206765744461746128293B0D0A0D0A2020202020202020202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(111) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A0D0A202020202020202020202020202A2A0D0A202020202020202020202020202A2A205573656420746F2062696E64204150457820526566726573';
wwv_flow_api.g_varchar2_table(112) := '68206576656E74202844412773290D0A202020202020202020202020202A2A0D0A202020202020202020202020202A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(113) := '2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A202020202020202020202020747279207B0D0A20202020202020202020202020202020617065782E6A517565727928222322202B20726567696F6E4944292E62696E6428226170657872656672657368';
wwv_flow_api.g_varchar2_table(114) := '222C2066756E6374696F6E202829207B0D0A20202020202020202020202020202020202020206765744461746128293B0D0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D20636174636820286529207B0D0A2020';
wwv_flow_api.g_varchar2_table(115) := '2020202020202020202020202020636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F2062696E6420415045582072656672657368206576656E7422293B0D0A20202020202020202020202020202020636F6E736F6C652E';
wwv_flow_api.g_varchar2_table(116) := '6572726F722865293B0D0A2020202020202020202020207D0D0A0D0A2020202020202020202020202F2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A';
wwv_flow_api.g_varchar2_table(117) := '2A2A2A2A2A2A2A2A2A2A2A2A2A0D0A202020202020202020202020202A2A0D0A202020202020202020202020202A2A205573656420746F207265667265736820627920612074696D65720D0A202020202020202020202020202A2A0D0A20202020202020';
wwv_flow_api.g_varchar2_table(118) := '2020202020202A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2F0D0A20202020202020202020202069662028636F6E66';
wwv_flow_api.g_varchar2_table(119) := '69674A534F4E2E7265667265736820262620636F6E6669674A534F4E2E72656672657368203E203029207B0D0A20202020202020202020202020202020736574496E74657276616C2866756E6374696F6E202829207B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(120) := '20202020202020206765744461746128293B0D0A202020202020202020202020202020207D2C20636F6E6669674A534F4E2E72656672657368202A2031303030293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020207D0D';
wwv_flow_api.g_varchar2_table(121) := '0A0D0A7D2928293B0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(26096727215196695610)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_file_name=>'accordian.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A20626F6479207B202A2F0A20202F2A206261636B67726F756E643A20236464643B202A2F0A20202F2A206D617267696E3A2030206175746F3B202A2F0A20202F2A206D61782D77696474683A203130323470783B202A2F0A20202F2A20666F6E743A';
wwv_flow_api.g_varchar2_table(2) := '206E6F726D616C20313470782F312E32202748656C766574696361204E657565272C2027417269616C27202A2F0A2F2A207D202A2F0A0A2E666F726B207B0A2020626F726465723A303B0A2020706F736974696F6E3A6162736F6C7574653B0A2020746F';
wwv_flow_api.g_varchar2_table(3) := '703A303B0A202072696768743A303B0A7D0A0A2F2A202E636F6C207B202A2F0A20202F2A202F2A2077696474683A2033323070783B202A2F202A2F0A20202F2A202F2A20666C6F61743A206C6566743B202A2F202A2F0A20202F2A206D617267696E2D72';
wwv_flow_api.g_varchar2_table(4) := '696768743A333270783B202A2F0A20202F2A206D617267696E2D626F74746F6D3A20313670783B202A2F0A2F2A207D202A2F0A2E6333207B0A20206D617267696E2D72696768743A303B0A7D0A0A6831207B0A2020626F726465722D626F74746F6D3A20';
wwv_flow_api.g_varchar2_table(5) := '31707820736F6C696420233333333B0A2020666F6E742D73697A653A20333270783B0A2020636F6C6F723A20236666663B0A202070616464696E672D626F74746F6D3A20313270783B0A2020746578742D736861646F773A203070782030707820327078';
wwv_flow_api.g_varchar2_table(6) := '207267626128302C302C302C302E36293B0A7D0A0A6832207B0A20206D617267696E3A203130707820303B0A2020636F6C6F723A20233030303B0A2020666F6E742D73697A653A20313870783B0A2020746578742D736861646F773A2031707820317078';
wwv_flow_api.g_varchar2_table(7) := '2032707820236666663B0A7D0A0A6833207B0A20206D617267696E3A20303B0A20202F2A206261636B67726F756E642D636F6C6F723A20726762283232382C31302C3835293B202A2F0A20206261636B67726F756E642D696D6167653A206C696E656172';
wwv_flow_api.g_varchar2_table(8) := '2D6772616469656E7428626F74746F6D2C20726762283232382C31302C383529203134252C20726762283235352C33362C3131312920353725293B0A20206261636B67726F756E642D696D6167653A202D6F2D6C696E6561722D6772616469656E742862';
wwv_flow_api.g_varchar2_table(9) := '6F74746F6D2C20726762283232382C31302C383529203134252C20726762283235352C33362C3131312920353725293B0A20206261636B67726F756E642D696D6167653A202D6D6F7A2D6C696E6561722D6772616469656E7428626F74746F6D2C207267';
wwv_flow_api.g_varchar2_table(10) := '62283232382C31302C383529203134252C20726762283235352C33362C3131312920353725293B0A20206261636B67726F756E642D696D6167653A202D7765626B69742D6C696E6561722D6772616469656E7428626F74746F6D2C20726762283232382C';
wwv_flow_api.g_varchar2_table(11) := '31302C383529203134252C20726762283235352C33362C3131312920353725293B0A20206261636B67726F756E642D696D6167653A202D6D732D6C696E6561722D6772616469656E7428626F74746F6D2C20726762283232382C31302C38352920313425';
wwv_flow_api.g_varchar2_table(12) := '2C20726762283235352C33362C3131312920353725293B0A7D0A0A68332061207B0A20202F2A206261636B67726F756E643A2075726C282268747470733A2F2F7261772E67697468756275736572636F6E74656E742E636F6D2F61736869736874686561';
wwv_flow_api.g_varchar2_table(13) := '70657869616E2F6163636F726469616E2F6D61737465722F69636F6E2E706E67222920313570782031337078206E6F2D7265706561743B202A2F0A2020646973706C61793A20626C6F636B3B0A202070616464696E673A20313070783B0A20202F2A2070';
wwv_flow_api.g_varchar2_table(14) := '616464696E672D6C6566743A20333270783B202A2F0A20206D617267696E3A20303B0A2020636F6C6F723A20236666663B0A2020746578742D6465636F726174696F6E3A206E6F6E653B0A2020666F6E742D7765696768743A206E6F726D616C3B0A2020';
wwv_flow_api.g_varchar2_table(15) := '626F726465722D626F74746F6D3A2031707820736F6C69642072676261283132382C2031302C2038352C20302E35293B0A2020746578742D736861646F773A20317078203170782031707820726762283132382C31302C3835293B0A7D0A68333A686F76';
wwv_flow_api.g_varchar2_table(16) := '6572207B206261636B67726F756E643A20726762283232382C31302C3835293B207D0A68332E6F70656E20207B206261636B67726F756E643A20726762283235352C37302C313230293B207D0A68332E6F70656E2061207B206261636B67726F756E642D';
wwv_flow_api.g_varchar2_table(17) := '706F736974696F6E3A2031337078202D323570783BC2A07D0A6833202B20646976207B2070616464696E673A20313070783B207D0A0A6832202B206469762C0A2E6578616D706C65207B0A20206261636B67726F756E643A20236666663B0A20206F7665';
wwv_flow_api.g_varchar2_table(18) := '72666C6F773A2068696464656E3B0A2020626F726465722D7261646975733A203370783B0A20202D6D6F7A2D626F726465722D7261646975733A203370783B0A20202D7765626B69742D626F726465722D7261646975733A203370783B0A20206D617267';
wwv_flow_api.g_varchar2_table(19) := '696E2D626F74746F6D3A20323070783B0A7D0A0A2F2A2050726520686964652073656374696F6E732077697468204A617661536372697074206F6E0A2D2D2D202A2F0A68332B646976207B0A2020646973706C61793A206E6F6E653B0A7D0A0A2F2A2043';
wwv_flow_api.g_varchar2_table(20) := '53533320416E696D6174696F6E206578616D706C650A2D2D2D202A2F0A2E637373332D616E696D617465642D6578616D706C65206833202B20646976207B0A20206865696768743A203070783B0A202070616464696E673A203070783B0A20206F766572';
wwv_flow_api.g_varchar2_table(21) := '666C6F773A2068696464656E3B0A20206261636B67726F756E643A20233030303B0A2020646973706C61793A20626C6F636B21696D706F7274616E743B0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174655A2830293B0A2020';
wwv_flow_api.g_varchar2_table(22) := '2D7765626B69742D7472616E736974696F6E3A20616C6C20302E337320656173653B0A092D6D6F7A2D7472616E736974696F6E3A20616C6C20302E337320656173653B0A092D6F2D7472616E736974696F6E3A20616C6C20302E337320656173653B0A09';
wwv_flow_api.g_varchar2_table(23) := '2D6D732D7472616E736974696F6E3A616C6C20302E337320656173653B0A097472616E736974696F6E3A20616C6C20302E337320656173653B0A7D0A2E637373332D616E696D617465642D6578616D706C65202E636F6E74656E74207B0A202070616464';
wwv_flow_api.g_varchar2_table(24) := '696E673A20313070783B0A7D0A0A2F2A202E637373332D616E696D617465642D6578616D706C652068332E6F70656E202B20646976207B202A2F0A20202F2A206865696768743A206175746F3B202A2F0A20202F2A206261636B67726F756E643A202361';
wwv_flow_api.g_varchar2_table(25) := '61666666663B202A2F0A2F2A207D202A2F0A0A2F2A204576656E74206578616D706C650A2D2D2D202A2F0A707265236576656E742D6C6F67207B0A20206261636B67726F756E643A20236661666163633B0A202070616464696E673A20313070783B0A20';
wwv_flow_api.g_varchar2_table(26) := '20646973706C61793A20626C6F636B3B0A7D0A0A2F2A20526573706F6E736976652064657369676E0A2D2D2D202A2F0A406D656469612073637265656E20616E6420286D61782D77696474683A2031303536707829207B0A2020626F6479207B0A202020';
wwv_flow_api.g_varchar2_table(27) := '2077696474683A2036373270783B0A20207D0A20202E6332207B0A202020206D617267696E2D72696768743A20303B0A202020206D617267696E2D626F74746F6D3A20303B0A20207D0A7D0A0A406D656469610A6F6E6C792073637265656E20616E6420';
wwv_flow_api.g_varchar2_table(28) := '286D61782D77696474683A203730347078292C0A6F6E6C792073637265656E20616E6420282D7765626B69742D6D696E2D6465766963652D706978656C2D726174696F203A20312E35292C0A6F6E6C792073637265656E20616E6420286D696E2D646576';
wwv_flow_api.g_varchar2_table(29) := '6963652D706978656C2D726174696F203A20312E3529207B0A20202F2A20626F6479207B202A2F0A202020202F2A2077696474683A2033323070783B202A2F0A20202F2A207D202A2F0A20202E6331207B0A202020206D617267696E2D72696768743A20';
wwv_flow_api.g_varchar2_table(30) := '303B0A202020206D617267696E2D626F74746F6D3A20303B0A20207D0A20206831207B0A20202020666F6E742D73697A653A20323870783B0A20202020746578742D736861646F773A203070782030707820317078207267626128302C302C302C302E37';
wwv_flow_api.g_varchar2_table(31) := '293B0A20207D0A7D0A0A2F2A20536D61727470686F6E65732028706F72747261697420616E64206C616E64736361706529202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D6465766963652D';
wwv_flow_api.g_varchar2_table(32) := '7769647468203A203332307078290A616E6420286D61782D6465766963652D7769647468203A20343830707829207B0A2E637373332D616E696D617465642D6578616D706C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A20536D6172747068';
wwv_flow_api.g_varchar2_table(33) := '6F6E657320286C616E64736361706529202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D7769647468203A20333231707829207B0A2E637373332D616E696D617465642D6578616D706C657B';
wwv_flow_api.g_varchar2_table(34) := '0A0977696474683A3938253B0A7D0A7D0A200A2F2A20536D61727470686F6E65732028706F72747261697429202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D61782D7769647468203A2033323070';
wwv_flow_api.g_varchar2_table(35) := '7829207B0A2E637373332D616E696D617465642D6578616D706C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A2069506164732028706F72747261697420616E64206C616E64736361706529202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D6564';
wwv_flow_api.g_varchar2_table(36) := '6961206F6E6C792073637265656E0A616E6420286D696E2D6465766963652D7769647468203A203736387078290A616E6420286D61782D6465766963652D7769647468203A2031303234707829207B0A2E637373332D616E696D617465642D6578616D70';
wwv_flow_api.g_varchar2_table(37) := '6C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A20695061647320286C616E64736361706529202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D6465766963652D7769647468203A';
wwv_flow_api.g_varchar2_table(38) := '203736387078290A616E6420286D61782D6465766963652D7769647468203A20313032347078290A616E6420286F7269656E746174696F6E203A206C616E64736361706529207B0A2E637373332D616E696D617465642D6578616D706C657B0A09776964';
wwv_flow_api.g_varchar2_table(39) := '74683A3938253B0A7D0A7D0A200A2F2A2069506164732028706F72747261697429202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D6465766963652D7769647468203A203736387078290A61';
wwv_flow_api.g_varchar2_table(40) := '6E6420286D61782D6465766963652D7769647468203A20313032347078290A616E6420286F7269656E746174696F6E203A20706F72747261697429207B0A2E637373332D616E696D617465642D6578616D706C657B0A0977696474683A3938253B0A7D0A';
wwv_flow_api.g_varchar2_table(41) := '7D0A200A2F2A204465736B746F707320616E64206C6170746F7073202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D7769647468203A2031323234707829207B0A2E637373332D616E696D61';
wwv_flow_api.g_varchar2_table(42) := '7465642D6578616D706C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A204C617267652073637265656E73202D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D7769647468203A2031';
wwv_flow_api.g_varchar2_table(43) := '383234707829207B0A2E637373332D616E696D617465642D6578616D706C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A206950686F6E6520352028706F7274726169742026616D703B206C616E647363617065292D2D2D2D2D2D2D2D2D2D2D';
wwv_flow_api.g_varchar2_table(44) := '202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D6465766963652D7769647468203A203332307078290A616E6420286D61782D6465766963652D7769647468203A20353638707829207B0A2E637373332D616E696D617465';
wwv_flow_api.g_varchar2_table(45) := '642D6578616D706C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A206950686F6E65203520286C616E647363617065292D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D6465766963';
wwv_flow_api.g_varchar2_table(46) := '652D7769647468203A203332307078290A616E6420286D61782D6465766963652D7769647468203A203536387078290A616E6420286F7269656E746174696F6E203A206C616E64736361706529207B0A2E637373332D616E696D617465642D6578616D70';
wwv_flow_api.g_varchar2_table(47) := '6C657B0A0977696474683A3938253B0A7D0A7D0A200A2F2A206950686F6E6520352028706F727472616974292D2D2D2D2D2D2D2D2D2D2D202A2F0A406D65646961206F6E6C792073637265656E0A616E6420286D696E2D6465766963652D776964746820';
wwv_flow_api.g_varchar2_table(48) := '3A203332307078290A616E6420286D61782D6465766963652D7769647468203A203536387078290A616E6420286F7269656E746174696F6E203A20706F72747261697429207B0A2E637373332D616E696D617465642D6578616D706C657B0A0977696474';
wwv_flow_api.g_varchar2_table(49) := '683A3938253B0A7D0A7D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(26096727678277695611)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_file_name=>'css.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A202A20436F6C6C6170736520706C7567696E20666F72206A51756572790A202A202D2D0A202A20736F757263653A20687474703A2F2F6769746875622E636F6D2F64616E69656C73746F636B732F6A51756572792D436F6C6C617073652F0A202A';
wwv_flow_api.g_varchar2_table(2) := '20736974653A20687474703A2F2F776562636C6F75642E73652F636F64652F6A51756572792D436F6C6C617073650A202A0A202A2040617574686F722044616E69656C2053746F636B732028687474703A2F2F776562636C6F75642E7365290A202A2043';
wwv_flow_api.g_varchar2_table(3) := '6F7079726967687420323031322C2044616E69656C2053746F636B730A202A2052656C656173656420756E64657220746865204D49542C204253442C20616E642047504C204C6963656E7365732E0A202A2F0A0A2166756E6374696F6E282429207B0A0A';
wwv_flow_api.g_varchar2_table(4) := '20202F2F20436F6E7374727563746F720A202066756E6374696F6E20436F6C6C617073652028656C2C206F7074696F6E7329207B0A20202020766172205F74686973203D20746869732C0A2020202020206F7074696F6E73203D206F7074696F6E73207C';
wwv_flow_api.g_varchar2_table(5) := '7C207B7D2C0A2020202020207175657279203D206F7074696F6E732E7175657279207C7C20223E203A6576656E223B0A0A20202020242E657874656E64285F746869732C207B0A20202020202024656C3A20656C2C0A2020202020206F7074696F6E7320';
wwv_flow_api.g_varchar2_table(6) := '3A206F7074696F6E732C0A20202020202073656374696F6E733A205B5D2C0A20202020202069734163636F7264696F6E203A206F7074696F6E732E6163636F7264696F6E207C7C2066616C73652C0A2020202020206462203A206F7074696F6E732E7065';
wwv_flow_api.g_varchar2_table(7) := '7273697374203F206E6577206A5175657279436F6C6C6170736553746F7261676528656C5B305D2E696429203A2066616C73650A202020207D293B0A0A202020202F2F20466967757265206F757420776861742073656374696F6E7320617265206F7065';
wwv_flow_api.g_varchar2_table(8) := '6E2069662073746F7261676520697320757365640A202020205F746869732E737461746573203D205F746869732E6462203F205F746869732E64622E726561642829203A205B5D3B0A0A202020202F2F20466F722065766572792070616972206F662065';
wwv_flow_api.g_varchar2_table(9) := '6C656D656E747320696E20676976656E0A202020202F2F20656C656D656E742C2063726561746520612073656374696F6E0A202020205F746869732E24656C2E66696E64287175657279292E656163682866756E6374696F6E2829207B0A202020202020';
wwv_flow_api.g_varchar2_table(10) := '7661722073656374696F6E203D206E65772053656374696F6E28242874686973292C205F74686973293B0A2020202020205F746869732E73656374696F6E732E707573682873656374696F6E293B0A2020202020205F746869732E7374617465735B7365';
wwv_flow_api.g_varchar2_table(11) := '6374696F6E2E5F696E64657828295D207C7C2073656374696F6E2E2473756D6D6172792E686173436C61737328226F70656E2229203F0A202020202020202073656374696F6E2E6F70656E287472756529203A2073656374696F6E2E636C6F7365287472';
wwv_flow_api.g_varchar2_table(12) := '7565293B0A202020207D293B0A0A202020202F2F2043617075746520414C4C2074686520636C69636B73210A202020202866756E6374696F6E2873636F706529207B0A2020202020205F746869732E24656C2E6F6E2822636C69636B222C20225B646174';
wwv_flow_api.g_varchar2_table(13) := '612D636F6C6C617073652D73756D6D6172795D222C0A2020202020202020242E70726F7879285F746869732E68616E646C65436C69636B2C2073636F706529293B0A202020207D285F7468697329293B0A20207D0A0A2020436F6C6C617073652E70726F';
wwv_flow_api.g_varchar2_table(14) := '746F74797065203D207B0A2020202068616E646C65436C69636B3A2066756E6374696F6E286529207B0A202020202020652E70726576656E7444656661756C7428293B0A2020202020207661722073656374696F6E73203D20746869732E73656374696F';
wwv_flow_api.g_varchar2_table(15) := '6E732C0A2020202020202020706172656E74203D202428652E746172676574292E706172656E7428292C0A20202020202020206C203D2073656374696F6E732E6C656E6774683B0A2020202020207768696C65286C2D2D29207B0A202020202020202069';
wwv_flow_api.g_varchar2_table(16) := '662873656374696F6E735B6C5D2E2473756D6D6172792E66696E6428226122292E697328652E7461726765742929207B0A2020202020202020202073656374696F6E735B6C5D2E746F67676C6528293B0A20202020202020202020627265616B3B0A2020';
wwv_flow_api.g_varchar2_table(17) := '2020202020207D0A2020202020207D0A202020207D2C0A202020206F70656E203A2066756E6374696F6E28657129207B0A202020202020696628697346696E69746528657129292072657475726E20746869732E73656374696F6E735B65715D2E6F7065';
wwv_flow_api.g_varchar2_table(18) := '6E28293B0A202020202020242E6561636828746869732E73656374696F6E732C2066756E6374696F6E2829207B0A2020202020202020746869732E6F70656E28293B0A2020202020207D293B0A202020207D2C0A20202020636C6F73653A2066756E6374';
wwv_flow_api.g_varchar2_table(19) := '696F6E28657129207B0A202020202020696628697346696E69746528657129292072657475726E20746869732E73656374696F6E735B65715D2E636C6F736528293B0A202020202020242E6561636828746869732E73656374696F6E732C2066756E6374';
wwv_flow_api.g_varchar2_table(20) := '696F6E2829207B0A2020202020202020746869732E636C6F736528293B0A2020202020207D293B0A202020207D0A20207D3B0A0A20202F2F2053656374696F6E20636F6E7374727563746F720A202066756E6374696F6E2053656374696F6E2824656C2C';
wwv_flow_api.g_varchar2_table(21) := '20706172656E7429207B0A20202020242E657874656E6428746869732C207B0A20202020202069734F70656E203A2066616C73652C0A2020202020202473756D6D617279203A2024656C0A20202020202020202E617474722822646174612D636F6C6C61';
wwv_flow_api.g_varchar2_table(22) := '7073652D73756D6D617279222C202222290A20202020202020202E77726170496E6E657228273C6120687265663D2223222F3E27292C0A2020202020202464657461696C73203A2024656C2E6E65787428292C0A2020202020206F7074696F6E733A2070';
wwv_flow_api.g_varchar2_table(23) := '6172656E742E6F7074696F6E732C0A202020202020706172656E743A20706172656E740A202020207D293B0A20207D0A0A202053656374696F6E2E70726F746F74797065203D207B0A20202020746F67676C65203A2066756E6374696F6E2829207B0A20';
wwv_flow_api.g_varchar2_table(24) := '2020202020746869732E69734F70656E203F20746869732E636C6F73652829203A20746869732E6F70656E28293B0A202020207D2C0A20202020636C6F73653A2066756E6374696F6E2862797061737329207B0A202020202020746869732E5F6368616E';
wwv_flow_api.g_varchar2_table(25) := '676553746174652822636C6F7365222C20627970617373290A202020207D2C0A202020206F70656E3A2066756E6374696F6E2862797061737329207B0A202020202020766172205F74686973203D20746869733B0A2020202020206966285F746869732E';
wwv_flow_api.g_varchar2_table(26) := '6F7074696F6E732E6163636F7264696F6E202626202162797061737329207B0A2020202020202020242E65616368285F746869732E706172656E742E73656374696F6E732C2066756E6374696F6E2829207B0A20202020202020202020746869732E636C';
wwv_flow_api.g_varchar2_table(27) := '6F736528293B0A20202020202020207D293B0A2020202020207D0A2020202020205F746869732E5F6368616E6765537461746528226F70656E222C20627970617373290A202020207D2C0A202020205F696E6465783A2066756E6374696F6E2829207B0A';
wwv_flow_api.g_varchar2_table(28) := '20202020202072657475726E20242E696E417272617928746869732C20746869732E706172656E742E73656374696F6E73293B0A202020207D2C0A202020205F6368616E676553746174653A2066756E6374696F6E2873746174652C2062797061737329';
wwv_flow_api.g_varchar2_table(29) := '207B0A0A202020202020766172205F74686973203D20746869733B0A2020202020205F746869732E69734F70656E203D207374617465203D3D20226F70656E220A202020202020696628242E697346756E6374696F6E285F746869732E6F7074696F6E73';
wwv_flow_api.g_varchar2_table(30) := '5B73746174655D29202626202162797061737329207B0A20202020202020205F746869732E6F7074696F6E735B73746174655D2E6170706C79285F746869732E2464657461696C73290A2020202020207D20656C7365207B0A20202020202020205F7468';
wwv_flow_api.g_varchar2_table(31) := '69732E69734F70656E203F205F746869732E2464657461696C732E73686F772829203A205F746869732E2464657461696C732E6869646528293B0A2020202020207D0A2020202020205F746869732E2473756D6D6172792E72656D6F7665436C61737328';
wwv_flow_api.g_varchar2_table(32) := '226F70656E20636C6F736522292E616464436C617373287374617465293B0A2020202020205F746869732E2464657461696C732E617474722822617269612D68696464656E222C207374617465203D3D2022636C6F736522293B0A2020202020205F7468';
wwv_flow_api.g_varchar2_table(33) := '69732E706172656E742E24656C2E747269676765722873746174652C205F74686973293B0A2020202020206966285F746869732E706172656E742E646229207B0A20202020202020205F746869732E706172656E742E64622E7772697465285F74686973';
wwv_flow_api.g_varchar2_table(34) := '2E5F696E64657828292C205F746869732E69734F70656E293B0A2020202020207D0A202020207D0A20207D0A0A20202F2F204578706F736520696E206A5175657279204150490A2020242E666E2E657874656E64287B0A20202020636F6C6C617073653A';
wwv_flow_api.g_varchar2_table(35) := '2066756E6374696F6E286F7074696F6E732C207363616E29207B0A202020202020766172206E6F646573203D20287363616E29203F20242822626F647922292E66696E6428225B646174612D636F6C6C617073655D2229203A20242874686973293B0A20';
wwv_flow_api.g_varchar2_table(36) := '202020202072657475726E206E6F6465732E656163682866756E6374696F6E2829207B0A20202020202020207661722073657474696E6773203D20287363616E29203F207B7D203A206F7074696F6E732C0A2020202020202020202076616C756573203D';
wwv_flow_api.g_varchar2_table(37) := '20242874686973292E617474722822646174612D636F6C6C617073652229207C7C2022223B0A2020202020202020242E656163682876616C7565732E73706C697428222022292C2066756E6374696F6E28692C7629207B0A202020202020202020206966';
wwv_flow_api.g_varchar2_table(38) := '2876292073657474696E67735B765D203D20747275653B0A20202020202020207D293B0A20202020202020206E6577206A5175657279436F6C6C6170736528242874686973292C2073657474696E6773292E24656C3B0A2020202020207D293B0A202020';
wwv_flow_api.g_varchar2_table(39) := '207D0A20207D293B0A0A20202F2F6A517565727920444F4D2052656164790A2020242866756E6374696F6E2829207B0A20202020242E666E2E636F6C6C617073652866616C73652C2074727565290A20207D293B0A0A20202F2F204578706F736520636F';
wwv_flow_api.g_varchar2_table(40) := '6E7374727563746F7220746F0A20202F2F20676C6F62616C206E616D6573706163650A20206A5175657279436F6C6C61707365203D20436F6C6C617073653B0A0A7D2877696E646F772E6A5175657279293B0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(26096728099624695611)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_file_name=>'jquery.collapse.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A202A20436F6F6B69652053746F7261676520666F72206A517565727920436F6C6C617073650A202A202D2D0A202A20736F757263653A20687474703A2F2F6769746875622E636F6D2F64616E69656C73746F636B732F6A51756572792D436F6C6C';
wwv_flow_api.g_varchar2_table(2) := '617073652F0A202A20736974653A20687474703A2F2F776562636C6F75642E73652F636F64652F6A51756572792D436F6C6C617073650A202A0A202A2040617574686F722044616E69656C2053746F636B732028687474703A2F2F776562636C6F75642E';
wwv_flow_api.g_varchar2_table(3) := '7365290A202A20436F7079726967687420323031322C2044616E69656C2053746F636B730A202A2052656C656173656420756E64657220746865204D49542C204253442C20616E642047504C204C6963656E7365732E0A202A2F0A0A2166756E6374696F';
wwv_flow_api.g_varchar2_table(4) := '6E282429207B0A0A202076617220636F6F6B696553746F72616765203D207B0A20202020657870697265733A2066756E6374696F6E2829207B0A202020202020766172206E6F77203D206E6577204461746528293B0A20202020202072657475726E206E';
wwv_flow_api.g_varchar2_table(5) := '6F772E73657444617465286E6F772E676574446174652829202B2031293B0A202020207D28292C0A20202020636F6F6B696573203A20646F63756D656E742E636F6F6B69652C0A202020207365744974656D3A2066756E6374696F6E286B65792C207661';
wwv_flow_api.g_varchar2_table(6) := '6C756529207B0A202020202020746869732E636F6F6B696573203D206B6579202B20273D27202B2076616C7565202B20273B20657870697265733D27202B20746869732E65787069726573202B273B20706174683D2F270A202020207D2C0A2020202067';
wwv_flow_api.g_varchar2_table(7) := '65744974656D3A2066756E6374696F6E286B657929207B0A2020202020206B65792B3D20223D223B0A202020202020766172206974656D203D2022223B0A202020202020242E6561636828746869732E636F6F6B6965732E73706C697428273B27292C20';
wwv_flow_api.g_varchar2_table(8) := '66756E6374696F6E28692C20636F6F6B696529207B0A20202020202020207768696C652028636F6F6B69652E6368617241742830293D3D2720272920636F6F6B6965203D20636F6F6B69652E737562737472696E6728312C636F6F6B69652E6C656E6774';
wwv_flow_api.g_varchar2_table(9) := '68293B0A2020202020202020696628636F6F6B69652E696E6465784F66286B657929203D3D203029207B0A202020202020202020206974656D203D20636F6F6B69652E737562737472696E67286B65792E6C656E6774682C636F6F6B69652E6C656E6774';
wwv_flow_api.g_varchar2_table(10) := '68293B0A20202020202020207D0A2020202020207D293B0A20202020202072657475726E206974656D3B0A202020207D0A20207D0A0A2020242E666E2E636F6C6C617073652E636F6F6B696553746F72616765203D20636F6F6B696553746F726167653B';
wwv_flow_api.g_varchar2_table(11) := '0A0A7D286A5175657279293B0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(26096728471839695613)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_file_name=>'jquery.collapse_cookie_storage.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A202A2053746F7261676520666F72206A517565727920436F6C6C617073650A202A202D2D0A202A20736F757263653A20687474703A2F2F6769746875622E636F6D2F64616E69656C73746F636B732F6A51756572792D436F6C6C617073652F0A20';
wwv_flow_api.g_varchar2_table(2) := '2A20736974653A20687474703A2F2F776562636C6F75642E73652F636F64652F6A51756572792D436F6C6C617073650A202A0A202A2040617574686F722044616E69656C2053746F636B732028687474703A2F2F776562636C6F75642E7365290A202A20';
wwv_flow_api.g_varchar2_table(3) := '436F7079726967687420323031322C2044616E69656C2053746F636B730A202A2052656C656173656420756E64657220746865204D49542C204253442C20616E642047504C204C6963656E7365732E0A202A2F0A0A2166756E6374696F6E282429207B0A';
wwv_flow_api.g_varchar2_table(4) := '0A20207661722053544F524147455F4B4559203D20226A51756572792D436F6C6C61707365223B0A0A202066756E6374696F6E2053746F7261676528696429207B0A20202020746869732E6964203D2069643B0A20202020746869732E6462203D207769';
wwv_flow_api.g_varchar2_table(5) := '6E646F772E6C6F63616C53746F72616765207C7C20242E666E2E636F6C6C617073652E636F6F6B696553746F726167653B0A20202020746869732E64617461203D205B5D3B0A20207D0A202053746F726167652E70726F746F74797065203D207B0A2020';
wwv_flow_api.g_varchar2_table(6) := '202077726974653A2066756E6374696F6E28706F736974696F6E2C20737461746529207B0A202020202020766172205F74686973203D20746869733B0A2020202020205F746869732E646174615B706F736974696F6E5D203D207374617465203F203120';
wwv_flow_api.g_varchar2_table(7) := '3A20303B0A2020202020202F2F20506164206F757420646174612061727261792077697468207A65726F2076616C7565730A202020202020242E65616368285F746869732E646174612C2066756E6374696F6E286929207B0A2020202020202020696628';
wwv_flow_api.g_varchar2_table(8) := '747970656F66205F746869732E646174615B695D203D3D2027756E646566696E65642729207B0A202020202020202020205F746869732E646174615B695D203D20303B0A20202020202020207D0A2020202020207D293B0A202020202020766172206F62';
wwv_flow_api.g_varchar2_table(9) := '6A203D20746869732E676574446174614F626A65637428293B0A2020202020206F626A5B746869732E69645D203D20746869732E646174613B0A202020202020746869732E64622E7365744974656D2853544F524147455F4B45592C204A534F4E2E7374';
wwv_flow_api.g_varchar2_table(10) := '72696E67696679286F626A29293B0A202020207D2C0A20202020726561643A2066756E6374696F6E2829207B0A202020202020766172206F626A203D20746869732E676574446174614F626A65637428293B0A20202020202072657475726E206F626A5B';
wwv_flow_api.g_varchar2_table(11) := '746869732E69645D207C7C205B5D3B0A202020207D2C0A20202020676574446174614F626A6563743A2066756E6374696F6E2829207B0A20202020202076617220737472696E67203D20746869732E64622E6765744974656D2853544F524147455F4B45';
wwv_flow_api.g_varchar2_table(12) := '59293B0A20202020202072657475726E20737472696E67203F204A534F4E2E706172736528737472696E6729203A207B7D0A202020207D0A20207D0A0A20206A5175657279436F6C6C6170736553746F72616765203D2053746F726167653B0A0A7D286A';
wwv_flow_api.g_varchar2_table(13) := '5175657279293B0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(26096728839004695613)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_file_name=>'jquery.collapse_storage.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A202020206A736F6E322E6A730A20202020323031312D31302D31390A0A202020205075626C696320446F6D61696E2E0A0A202020204E4F2057415252414E545920455850524553534544204F5220494D504C4945442E2055534520415420594F55';
wwv_flow_api.g_varchar2_table(2) := '52204F574E205249534B2E0A0A2020202053656520687474703A2F2F7777772E4A534F4E2E6F72672F6A732E68746D6C0A0A0A202020205468697320636F64652073686F756C64206265206D696E6966696564206265666F7265206465706C6F796D656E';
wwv_flow_api.g_varchar2_table(3) := '742E0A2020202053656520687474703A2F2F6A6176617363726970742E63726F636B666F72642E636F6D2F6A736D696E2E68746D6C0A0A2020202055534520594F5552204F574E20434F50592E2049542049532045585452454D454C5920554E57495345';
wwv_flow_api.g_varchar2_table(4) := '20544F204C4F414420434F44452046524F4D205345525645525320594F5520444F0A202020204E4F5420434F4E54524F4C2E0A0A0A20202020546869732066696C652063726561746573206120676C6F62616C204A534F4E206F626A65637420636F6E74';
wwv_flow_api.g_varchar2_table(5) := '61696E696E672074776F206D6574686F64733A20737472696E676966790A20202020616E642070617273652E0A0A20202020202020204A534F4E2E737472696E676966792876616C75652C207265706C616365722C207370616365290A20202020202020';
wwv_flow_api.g_varchar2_table(6) := '202020202076616C756520202020202020616E79204A6176615363726970742076616C75652C20757375616C6C7920616E206F626A656374206F722061727261792E0A0A2020202020202020202020207265706C6163657220202020616E206F7074696F';
wwv_flow_api.g_varchar2_table(7) := '6E616C20706172616D6574657220746861742064657465726D696E657320686F77206F626A6563740A20202020202020202020202020202020202020202020202076616C7565732061726520737472696E67696669656420666F72206F626A656374732E';
wwv_flow_api.g_varchar2_table(8) := '2049742063616E20626520610A20202020202020202020202020202020202020202020202066756E6374696F6E206F7220616E206172726179206F6620737472696E67732E0A0A202020202020202020202020737061636520202020202020616E206F70';
wwv_flow_api.g_varchar2_table(9) := '74696F6E616C20706172616D657465722074686174207370656369666965732074686520696E64656E746174696F6E0A2020202020202020202020202020202020202020202020206F66206E657374656420737472756374757265732E20496620697420';
wwv_flow_api.g_varchar2_table(10) := '6973206F6D69747465642C2074686520746578742077696C6C0A2020202020202020202020202020202020202020202020206265207061636B656420776974686F757420657874726120776869746573706163652E2049662069742069732061206E756D';
wwv_flow_api.g_varchar2_table(11) := '6265722C0A20202020202020202020202020202020202020202020202069742077696C6C207370656369667920746865206E756D626572206F662073706163657320746F20696E64656E7420617420656163680A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(12) := '20202020202020206C6576656C2E204966206974206973206120737472696E6720287375636820617320275C7427206F722027266E6273703B27292C0A202020202020202020202020202020202020202020202020697420636F6E7461696E7320746865';
wwv_flow_api.g_varchar2_table(13) := '2063686172616374657273207573656420746F20696E64656E742061742065616368206C6576656C2E0A0A20202020202020202020202054686973206D6574686F642070726F64756365732061204A534F4E20746578742066726F6D2061204A61766153';
wwv_flow_api.g_varchar2_table(14) := '63726970742076616C75652E0A0A2020202020202020202020205768656E20616E206F626A6563742076616C756520697320666F756E642C20696620746865206F626A65637420636F6E7461696E73206120746F4A534F4E0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(15) := '206D6574686F642C2069747320746F4A534F4E206D6574686F642077696C6C2062652063616C6C656420616E642074686520726573756C742077696C6C2062650A202020202020202020202020737472696E6769666965642E204120746F4A534F4E206D';
wwv_flow_api.g_varchar2_table(16) := '6574686F6420646F6573206E6F742073657269616C697A653A2069742072657475726E73207468650A20202020202020202020202076616C756520726570726573656E74656420627920746865206E616D652F76616C7565207061697220746861742073';
wwv_flow_api.g_varchar2_table(17) := '686F756C642062652073657269616C697A65642C0A2020202020202020202020206F7220756E646566696E6564206966206E6F7468696E672073686F756C642062652073657269616C697A65642E2054686520746F4A534F4E206D6574686F640A202020';
wwv_flow_api.g_varchar2_table(18) := '20202020202020202077696C6C2062652070617373656420746865206B6579206173736F6369617465642077697468207468652076616C75652C20616E6420746869732077696C6C2062650A202020202020202020202020626F756E6420746F20746865';
wwv_flow_api.g_varchar2_table(19) := '2076616C75650A0A202020202020202020202020466F72206578616D706C652C207468697320776F756C642073657269616C697A652044617465732061732049534F20737472696E67732E0A0A20202020202020202020202020202020446174652E7072';
wwv_flow_api.g_varchar2_table(20) := '6F746F747970652E746F4A534F4E203D2066756E6374696F6E20286B657929207B0A202020202020202020202020202020202020202066756E6374696F6E2066286E29207B0A2020202020202020202020202020202020202020202020202F2F20466F72';
wwv_flow_api.g_varchar2_table(21) := '6D617420696E74656765727320746F2068617665206174206C656173742074776F206469676974732E0A20202020202020202020202020202020202020202020202072657475726E206E203C203130203F20273027202B206E203A206E3B0A2020202020';
wwv_flow_api.g_varchar2_table(22) := '2020202020202020202020202020207D0A0A202020202020202020202020202020202020202072657475726E20746869732E67657455544346756C6C5965617228292020202B20272D27202B0A2020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(23) := '20206628746869732E6765745554434D6F6E74682829202B203129202B20272D27202B0A202020202020202020202020202020202020202020202020206628746869732E676574555443446174652829292020202020202B20275427202B0A2020202020';
wwv_flow_api.g_varchar2_table(24) := '20202020202020202020202020202020202020206628746869732E676574555443486F75727328292920202020202B20273A27202B0A202020202020202020202020202020202020202020202020206628746869732E6765745554434D696E7574657328';
wwv_flow_api.g_varchar2_table(25) := '29292020202B20273A27202B0A202020202020202020202020202020202020202020202020206628746869732E6765745554435365636F6E64732829292020202B20275A273B0A202020202020202020202020202020207D3B0A0A202020202020202020';
wwv_flow_api.g_varchar2_table(26) := '202020596F752063616E2070726F7669646520616E206F7074696F6E616C207265706C61636572206D6574686F642E2049742077696C6C20626520706173736564207468650A2020202020202020202020206B657920616E642076616C7565206F662065';
wwv_flow_api.g_varchar2_table(27) := '616368206D656D6265722C2077697468207468697320626F756E6420746F2074686520636F6E7461696E696E670A2020202020202020202020206F626A6563742E205468652076616C756520746861742069732072657475726E65642066726F6D20796F';
wwv_flow_api.g_varchar2_table(28) := '7572206D6574686F642077696C6C2062650A20202020202020202020202073657269616C697A65642E20496620796F7572206D6574686F642072657475726E7320756E646566696E65642C207468656E20746865206D656D6265722077696C6C0A202020';
wwv_flow_api.g_varchar2_table(29) := '2020202020202020206265206578636C756465642066726F6D207468652073657269616C697A6174696F6E2E0A0A202020202020202020202020496620746865207265706C6163657220706172616D6574657220697320616E206172726179206F662073';
wwv_flow_api.g_varchar2_table(30) := '7472696E67732C207468656E2069742077696C6C2062650A2020202020202020202020207573656420746F2073656C65637420746865206D656D6265727320746F2062652073657269616C697A65642E2049742066696C74657273207468652072657375';
wwv_flow_api.g_varchar2_table(31) := '6C74730A202020202020202020202020737563682074686174206F6E6C79206D656D626572732077697468206B657973206C697374656420696E20746865207265706C61636572206172726179206172650A202020202020202020202020737472696E67';
wwv_flow_api.g_varchar2_table(32) := '69666965642E0A0A20202020202020202020202056616C756573207468617420646F206E6F742068617665204A534F4E20726570726573656E746174696F6E732C207375636820617320756E646566696E6564206F720A20202020202020202020202066';
wwv_flow_api.g_varchar2_table(33) := '756E6374696F6E732C2077696C6C206E6F742062652073657269616C697A65642E20537563682076616C75657320696E206F626A656374732077696C6C2062650A20202020202020202020202064726F707065643B20696E206172726179732074686579';
wwv_flow_api.g_varchar2_table(34) := '2077696C6C206265207265706C616365642077697468206E756C6C2E20596F752063616E207573650A20202020202020202020202061207265706C616365722066756E6374696F6E20746F207265706C6163652074686F73652077697468204A534F4E20';
wwv_flow_api.g_varchar2_table(35) := '76616C7565732E0A2020202020202020202020204A534F4E2E737472696E6769667928756E646566696E6564292072657475726E7320756E646566696E65642E0A0A202020202020202020202020546865206F7074696F6E616C20737061636520706172';
wwv_flow_api.g_varchar2_table(36) := '616D657465722070726F6475636573206120737472696E67696669636174696F6E206F66207468650A20202020202020202020202076616C756520746861742069732066696C6C65642077697468206C696E6520627265616B7320616E6420696E64656E';
wwv_flow_api.g_varchar2_table(37) := '746174696F6E20746F206D616B652069740A20202020202020202020202065617369657220746F20726561642E0A0A20202020202020202020202049662074686520737061636520706172616D657465722069732061206E6F6E2D656D70747920737472';
wwv_flow_api.g_varchar2_table(38) := '696E672C207468656E207468617420737472696E672077696C6C0A2020202020202020202020206265207573656420666F7220696E64656E746174696F6E2E2049662074686520737061636520706172616D657465722069732061206E756D6265722C20';
wwv_flow_api.g_varchar2_table(39) := '7468656E0A20202020202020202020202074686520696E64656E746174696F6E2077696C6C2062652074686174206D616E79207370616365732E0A0A2020202020202020202020204578616D706C653A0A0A20202020202020202020202074657874203D';
wwv_flow_api.g_varchar2_table(40) := '204A534F4E2E737472696E67696679285B2765272C207B706C7572696275733A2027756E756D277D5D293B0A2020202020202020202020202F2F207465787420697320275B2265222C7B22706C757269627573223A22756E756D227D5D270A0A0A202020';
wwv_flow_api.g_varchar2_table(41) := '20202020202020202074657874203D204A534F4E2E737472696E67696679285B2765272C207B706C7572696275733A2027756E756D277D5D2C206E756C6C2C20275C7427293B0A2020202020202020202020202F2F207465787420697320275B5C6E5C74';
wwv_flow_api.g_varchar2_table(42) := '2265222C5C6E5C747B5C6E5C745C7422706C757269627573223A2022756E756D225C6E5C747D5C6E5D270A0A20202020202020202020202074657874203D204A534F4E2E737472696E67696679285B6E6577204461746528295D2C2066756E6374696F6E';
wwv_flow_api.g_varchar2_table(43) := '20286B65792C2076616C756529207B0A2020202020202020202020202020202072657475726E20746869735B6B65795D20696E7374616E63656F662044617465203F0A202020202020202020202020202020202020202027446174652827202B20746869';
wwv_flow_api.g_varchar2_table(44) := '735B6B65795D202B20272927203A2076616C75653B0A2020202020202020202020207D293B0A2020202020202020202020202F2F207465787420697320275B2244617465282D2D2D63757272656E742074696D652D2D2D29225D270A0A0A202020202020';
wwv_flow_api.g_varchar2_table(45) := '20204A534F4E2E706172736528746578742C2072657669766572290A20202020202020202020202054686973206D6574686F64207061727365732061204A534F4E207465787420746F2070726F6475636520616E206F626A656374206F72206172726179';
wwv_flow_api.g_varchar2_table(46) := '2E0A20202020202020202020202049742063616E207468726F7720612053796E7461784572726F7220657863657074696F6E2E0A0A202020202020202020202020546865206F7074696F6E616C207265766976657220706172616D657465722069732061';
wwv_flow_api.g_varchar2_table(47) := '2066756E6374696F6E20746861742063616E2066696C74657220616E640A2020202020202020202020207472616E73666F726D2074686520726573756C74732E2049742072656365697665732065616368206F6620746865206B65797320616E64207661';
wwv_flow_api.g_varchar2_table(48) := '6C7565732C0A202020202020202020202020616E64206974732072657475726E2076616C7565206973207573656420696E7374656164206F6620746865206F726967696E616C2076616C75652E0A20202020202020202020202049662069742072657475';
wwv_flow_api.g_varchar2_table(49) := '726E7320776861742069742072656365697665642C207468656E2074686520737472756374757265206973206E6F74206D6F6469666965642E0A20202020202020202020202049662069742072657475726E7320756E646566696E6564207468656E2074';
wwv_flow_api.g_varchar2_table(50) := '6865206D656D6265722069732064656C657465642E0A0A2020202020202020202020204578616D706C653A0A0A2020202020202020202020202F2F2050617273652074686520746578742E2056616C7565732074686174206C6F6F6B206C696B65204953';
wwv_flow_api.g_varchar2_table(51) := '4F206461746520737472696E67732077696C6C0A2020202020202020202020202F2F20626520636F6E76657274656420746F2044617465206F626A656374732E0A0A2020202020202020202020206D7944617461203D204A534F4E2E7061727365287465';
wwv_flow_api.g_varchar2_table(52) := '78742C2066756E6374696F6E20286B65792C2076616C756529207B0A2020202020202020202020202020202076617220613B0A2020202020202020202020202020202069662028747970656F662076616C7565203D3D3D2027737472696E672729207B0A';
wwv_flow_api.g_varchar2_table(53) := '202020202020202020202020202020202020202061203D0A2F5E285C647B347D292D285C647B327D292D285C647B327D2954285C647B327D293A285C647B327D293A285C647B327D283F3A5C2E5C642A293F295A242F2E657865632876616C7565293B0A';
wwv_flow_api.g_varchar2_table(54) := '2020202020202020202020202020202020202020696620286129207B0A20202020202020202020202020202020202020202020202072657475726E206E6577204461746528446174652E555443282B615B315D2C202B615B325D202D20312C202B615B33';
wwv_flow_api.g_varchar2_table(55) := '5D2C202B615B345D2C0A202020202020202020202020202020202020202020202020202020202B615B355D2C202B615B365D29293B0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A202020202020';
wwv_flow_api.g_varchar2_table(56) := '2020202020202020202072657475726E2076616C75653B0A2020202020202020202020207D293B0A0A2020202020202020202020206D7944617461203D204A534F4E2E706172736528275B22446174652830392F30392F3230303129225D272C2066756E';
wwv_flow_api.g_varchar2_table(57) := '6374696F6E20286B65792C2076616C756529207B0A2020202020202020202020202020202076617220643B0A2020202020202020202020202020202069662028747970656F662076616C7565203D3D3D2027737472696E67272026260A20202020202020';
wwv_flow_api.g_varchar2_table(58) := '202020202020202020202020202020202076616C75652E736C69636528302C203529203D3D3D20274461746528272026260A20202020202020202020202020202020202020202020202076616C75652E736C696365282D3129203D3D3D2027292729207B';
wwv_flow_api.g_varchar2_table(59) := '0A202020202020202020202020202020202020202064203D206E657720446174652876616C75652E736C69636528352C202D3129293B0A2020202020202020202020202020202020202020696620286429207B0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(60) := '202020202020202072657475726E20643B0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A2020202020202020202020202020202072657475726E2076616C75653B0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(61) := '7D293B0A0A0A20202020546869732069732061207265666572656E636520696D706C656D656E746174696F6E2E20596F7520617265206672656520746F20636F70792C206D6F646966792C206F720A202020207265646973747269627574652E0A2A2F0A';
wwv_flow_api.g_varchar2_table(62) := '0A2F2A6A736C696E74206576696C3A20747275652C207265676578703A2074727565202A2F0A0A2F2A6D656D626572732022222C20225C62222C20225C74222C20225C6E222C20225C66222C20225C72222C20225C22222C204A534F4E2C20225C5C222C';
wwv_flow_api.g_varchar2_table(63) := '206170706C792C0A2020202063616C6C2C2063686172436F646541742C20676574555443446174652C2067657455544346756C6C596561722C20676574555443486F7572732C0A202020206765745554434D696E757465732C206765745554434D6F6E74';
wwv_flow_api.g_varchar2_table(64) := '682C206765745554435365636F6E64732C206861734F776E50726F70657274792C206A6F696E2C0A202020206C617374496E6465782C206C656E6774682C2070617273652C2070726F746F747970652C20707573682C207265706C6163652C20736C6963';
wwv_flow_api.g_varchar2_table(65) := '652C20737472696E676966792C0A20202020746573742C20746F4A534F4E2C20746F537472696E672C2076616C75654F660A2A2F0A0A0A2F2F204372656174652061204A534F4E206F626A656374206F6E6C79206966206F6E6520646F6573206E6F7420';
wwv_flow_api.g_varchar2_table(66) := '616C72656164792065786973742E20576520637265617465207468650A2F2F206D6574686F647320696E206120636C6F7375726520746F2061766F6964206372656174696E6720676C6F62616C207661726961626C65732E0A0A766172204A534F4E3B0A';
wwv_flow_api.g_varchar2_table(67) := '69662028214A534F4E29207B0A202020204A534F4E203D207B7D3B0A7D0A0A2866756E6374696F6E202829207B0A202020202775736520737472696374273B0A0A2020202066756E6374696F6E2066286E29207B0A20202020202020202F2F20466F726D';
wwv_flow_api.g_varchar2_table(68) := '617420696E74656765727320746F2068617665206174206C656173742074776F206469676974732E0A202020202020202072657475726E206E203C203130203F20273027202B206E203A206E3B0A202020207D0A0A2020202069662028747970656F6620';
wwv_flow_api.g_varchar2_table(69) := '446174652E70726F746F747970652E746F4A534F4E20213D3D202766756E6374696F6E2729207B0A0A2020202020202020446174652E70726F746F747970652E746F4A534F4E203D2066756E6374696F6E20286B657929207B0A0A202020202020202020';
wwv_flow_api.g_varchar2_table(70) := '20202072657475726E20697346696E69746528746869732E76616C75654F662829290A202020202020202020202020202020203F20746869732E67657455544346756C6C59656172282920202020202B20272D27202B0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(71) := '202020202020206628746869732E6765745554434D6F6E74682829202B203129202B20272D27202B0A20202020202020202020202020202020202020206628746869732E676574555443446174652829292020202020202B20275427202B0A2020202020';
wwv_flow_api.g_varchar2_table(72) := '2020202020202020202020202020206628746869732E676574555443486F75727328292920202020202B20273A27202B0A20202020202020202020202020202020202020206628746869732E6765745554434D696E757465732829292020202B20273A27';
wwv_flow_api.g_varchar2_table(73) := '202B0A20202020202020202020202020202020202020206628746869732E6765745554435365636F6E64732829292020202B20275A270A202020202020202020202020202020203A206E756C6C3B0A20202020202020207D3B0A0A202020202020202053';
wwv_flow_api.g_varchar2_table(74) := '7472696E672E70726F746F747970652E746F4A534F4E2020202020203D0A2020202020202020202020204E756D6265722E70726F746F747970652E746F4A534F4E20203D0A202020202020202020202020426F6F6C65616E2E70726F746F747970652E74';
wwv_flow_api.g_varchar2_table(75) := '6F4A534F4E203D2066756E6374696F6E20286B657929207B0A2020202020202020202020202020202072657475726E20746869732E76616C75654F6628293B0A2020202020202020202020207D3B0A202020207D0A0A20202020766172206378203D202F';
wwv_flow_api.g_varchar2_table(76) := '5B5C75303030305C75303061645C75303630302D5C75303630345C75303730665C75313762345C75313762355C75323030632D5C75323030665C75323032382D5C75323032665C75323036302D5C75323036665C75666566665C75666666302D5C756666';
wwv_flow_api.g_varchar2_table(77) := '66665D2F672C0A2020202020202020657363617061626C65203D202F5B5C5C5C225C7830302D5C7831665C7837662D5C7839665C75303061645C75303630302D5C75303630345C75303730665C75313762345C75313762355C75323030632D5C75323030';
wwv_flow_api.g_varchar2_table(78) := '665C75323032382D5C75323032665C75323036302D5C75323036665C75666566665C75666666302D5C75666666665D2F672C0A20202020202020206761702C0A2020202020202020696E64656E742C0A20202020202020206D657461203D207B20202020';
wwv_flow_api.g_varchar2_table(79) := '2F2F207461626C65206F662063686172616374657220737562737469747574696F6E730A202020202020202020202020275C62273A20275C5C62272C0A202020202020202020202020275C74273A20275C5C74272C0A202020202020202020202020275C';
wwv_flow_api.g_varchar2_table(80) := '6E273A20275C5C6E272C0A202020202020202020202020275C66273A20275C5C66272C0A202020202020202020202020275C72273A20275C5C72272C0A202020202020202020202020272227203A20275C5C22272C0A202020202020202020202020275C';
wwv_flow_api.g_varchar2_table(81) := '5C273A20275C5C5C5C270A20202020202020207D2C0A20202020202020207265703B0A0A0A2020202066756E6374696F6E2071756F746528737472696E6729207B0A0A2F2F2049662074686520737472696E6720636F6E7461696E73206E6F20636F6E74';
wwv_flow_api.g_varchar2_table(82) := '726F6C20636861726163746572732C206E6F2071756F746520636861726163746572732C20616E64206E6F0A2F2F206261636B736C61736820636861726163746572732C207468656E2077652063616E20736166656C7920736C617020736F6D65207175';
wwv_flow_api.g_varchar2_table(83) := '6F7465732061726F756E642069742E0A2F2F204F7468657277697365207765206D75737420616C736F207265706C61636520746865206F6666656E64696E67206368617261637465727320776974682073616665206573636170650A2F2F207365717565';
wwv_flow_api.g_varchar2_table(84) := '6E6365732E0A0A2020202020202020657363617061626C652E6C617374496E646578203D20303B0A202020202020202072657475726E20657363617061626C652E7465737428737472696E6729203F20272227202B20737472696E672E7265706C616365';
wwv_flow_api.g_varchar2_table(85) := '28657363617061626C652C2066756E6374696F6E20286129207B0A2020202020202020202020207661722063203D206D6574615B615D3B0A20202020202020202020202072657475726E20747970656F662063203D3D3D2027737472696E67270A202020';
wwv_flow_api.g_varchar2_table(86) := '202020202020202020202020203F20630A202020202020202020202020202020203A20275C5C7527202B2028273030303027202B20612E63686172436F646541742830292E746F537472696E6728313629292E736C696365282D34293B0A202020202020';
wwv_flow_api.g_varchar2_table(87) := '20207D29202B20272227203A20272227202B20737472696E67202B202722273B0A202020207D0A0A0A2020202066756E6374696F6E20737472286B65792C20686F6C64657229207B0A0A2F2F2050726F64756365206120737472696E672066726F6D2068';
wwv_flow_api.g_varchar2_table(88) := '6F6C6465725B6B65795D2E0A0A202020202020202076617220692C202020202020202020202F2F20546865206C6F6F7020636F756E7465722E0A2020202020202020202020206B2C202020202020202020202F2F20546865206D656D626572206B65792E';
wwv_flow_api.g_varchar2_table(89) := '0A202020202020202020202020762C202020202020202020202F2F20546865206D656D6265722076616C75652E0A2020202020202020202020206C656E6774682C0A2020202020202020202020206D696E64203D206761702C0A20202020202020202020';
wwv_flow_api.g_varchar2_table(90) := '20207061727469616C2C0A20202020202020202020202076616C7565203D20686F6C6465725B6B65795D3B0A0A2F2F204966207468652076616C756520686173206120746F4A534F4E206D6574686F642C2063616C6C20697420746F206F627461696E20';
wwv_flow_api.g_varchar2_table(91) := '61207265706C6163656D656E742076616C75652E0A0A20202020202020206966202876616C756520262620747970656F662076616C7565203D3D3D20276F626A656374272026260A20202020202020202020202020202020747970656F662076616C7565';
wwv_flow_api.g_varchar2_table(92) := '2E746F4A534F4E203D3D3D202766756E6374696F6E2729207B0A20202020202020202020202076616C7565203D2076616C75652E746F4A534F4E286B6579293B0A20202020202020207D0A0A2F2F20496620776520776572652063616C6C656420776974';
wwv_flow_api.g_varchar2_table(93) := '682061207265706C616365722066756E6374696F6E2C207468656E2063616C6C20746865207265706C6163657220746F0A2F2F206F627461696E2061207265706C6163656D656E742076616C75652E0A0A202020202020202069662028747970656F6620';
wwv_flow_api.g_varchar2_table(94) := '726570203D3D3D202766756E6374696F6E2729207B0A20202020202020202020202076616C7565203D207265702E63616C6C28686F6C6465722C206B65792C2076616C7565293B0A20202020202020207D0A0A2F2F20576861742068617070656E73206E';
wwv_flow_api.g_varchar2_table(95) := '65787420646570656E6473206F6E207468652076616C7565277320747970652E0A0A20202020202020207377697463682028747970656F662076616C756529207B0A2020202020202020636173652027737472696E67273A0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(96) := '2072657475726E2071756F74652876616C7565293B0A0A20202020202020206361736520276E756D626572273A0A0A2F2F204A534F4E206E756D62657273206D7573742062652066696E6974652E20456E636F6465206E6F6E2D66696E697465206E756D';
wwv_flow_api.g_varchar2_table(97) := '62657273206173206E756C6C2E0A0A20202020202020202020202072657475726E20697346696E6974652876616C756529203F20537472696E672876616C756529203A20276E756C6C273B0A0A2020202020202020636173652027626F6F6C65616E273A';
wwv_flow_api.g_varchar2_table(98) := '0A20202020202020206361736520276E756C6C273A0A0A2F2F204966207468652076616C7565206973206120626F6F6C65616E206F72206E756C6C2C20636F6E7665727420697420746F206120737472696E672E204E6F74653A0A2F2F20747970656F66';
wwv_flow_api.g_varchar2_table(99) := '206E756C6C20646F6573206E6F742070726F6475636520276E756C6C272E20546865206361736520697320696E636C75646564206865726520696E0A2F2F207468652072656D6F7465206368616E63652074686174207468697320676574732066697865';
wwv_flow_api.g_varchar2_table(100) := '6420736F6D656461792E0A0A20202020202020202020202072657475726E20537472696E672876616C7565293B0A0A2F2F20496620746865207479706520697320276F626A656374272C207765206D69676874206265206465616C696E67207769746820';
wwv_flow_api.g_varchar2_table(101) := '616E206F626A656374206F7220616E206172726179206F720A2F2F206E756C6C2E0A0A20202020202020206361736520276F626A656374273A0A0A2F2F2044756520746F20612073706563696669636174696F6E20626C756E64657220696E2045434D41';
wwv_flow_api.g_varchar2_table(102) := '5363726970742C20747970656F66206E756C6C20697320276F626A656374272C0A2F2F20736F207761746368206F757420666F72207468617420636173652E0A0A202020202020202020202020696620282176616C756529207B0A202020202020202020';
wwv_flow_api.g_varchar2_table(103) := '2020202020202072657475726E20276E756C6C273B0A2020202020202020202020207D0A0A2F2F204D616B6520616E20617272617920746F20686F6C6420746865207061727469616C20726573756C7473206F6620737472696E67696679696E67207468';
wwv_flow_api.g_varchar2_table(104) := '6973206F626A6563742076616C75652E0A0A202020202020202020202020676170202B3D20696E64656E743B0A2020202020202020202020207061727469616C203D205B5D3B0A0A2F2F204973207468652076616C756520616E2061727261793F0A0A20';
wwv_flow_api.g_varchar2_table(105) := '2020202020202020202020696620284F626A6563742E70726F746F747970652E746F537472696E672E6170706C792876616C756529203D3D3D20275B6F626A6563742041727261795D2729207B0A0A2F2F205468652076616C756520697320616E206172';
wwv_flow_api.g_varchar2_table(106) := '7261792E20537472696E6769667920657665727920656C656D656E742E20557365206E756C6C206173206120706C616365686F6C6465720A2F2F20666F72206E6F6E2D4A534F4E2076616C7565732E0A0A202020202020202020202020202020206C656E';
wwv_flow_api.g_varchar2_table(107) := '677468203D2076616C75652E6C656E6774683B0A20202020202020202020202020202020666F72202869203D20303B2069203C206C656E6774683B2069202B3D203129207B0A20202020202020202020202020202020202020207061727469616C5B695D';
wwv_flow_api.g_varchar2_table(108) := '203D2073747228692C2076616C756529207C7C20276E756C6C273B0A202020202020202020202020202020207D0A0A2F2F204A6F696E20616C6C206F662074686520656C656D656E747320746F6765746865722C20736570617261746564207769746820';
wwv_flow_api.g_varchar2_table(109) := '636F6D6D61732C20616E642077726170207468656D20696E0A2F2F20627261636B6574732E0A0A2020202020202020202020202020202076203D207061727469616C2E6C656E677468203D3D3D20300A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(110) := '3F20275B5D270A20202020202020202020202020202020202020203A206761700A20202020202020202020202020202020202020203F20275B5C6E27202B20676170202B207061727469616C2E6A6F696E28272C5C6E27202B2067617029202B20275C6E';
wwv_flow_api.g_varchar2_table(111) := '27202B206D696E64202B20275D270A20202020202020202020202020202020202020203A20275B27202B207061727469616C2E6A6F696E28272C2729202B20275D273B0A20202020202020202020202020202020676170203D206D696E643B0A20202020';
wwv_flow_api.g_varchar2_table(112) := '20202020202020202020202072657475726E20763B0A2020202020202020202020207D0A0A2F2F20496620746865207265706C6163657220697320616E2061727261792C2075736520697420746F2073656C65637420746865206D656D6265727320746F';
wwv_flow_api.g_varchar2_table(113) := '20626520737472696E6769666965642E0A0A2020202020202020202020206966202872657020262620747970656F6620726570203D3D3D20276F626A6563742729207B0A202020202020202020202020202020206C656E677468203D207265702E6C656E';
wwv_flow_api.g_varchar2_table(114) := '6774683B0A20202020202020202020202020202020666F72202869203D20303B2069203C206C656E6774683B2069202B3D203129207B0A202020202020202020202020202020202020202069662028747970656F66207265705B695D203D3D3D20277374';
wwv_flow_api.g_varchar2_table(115) := '72696E672729207B0A2020202020202020202020202020202020202020202020206B203D207265705B695D3B0A20202020202020202020202020202020202020202020202076203D20737472286B2C2076616C7565293B0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(116) := '202020202020202020202020696620287629207B0A202020202020202020202020202020202020202020202020202020207061727469616C2E707573682871756F7465286B29202B2028676170203F20273A2027203A20273A2729202B2076293B0A2020';
wwv_flow_api.g_varchar2_table(117) := '202020202020202020202020202020202020202020207D0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A2020202020202020202020207D20656C7365207B0A0A2F2F204F74686572776973652C20';
wwv_flow_api.g_varchar2_table(118) := '69746572617465207468726F75676820616C6C206F6620746865206B65797320696E20746865206F626A6563742E0A0A20202020202020202020202020202020666F7220286B20696E2076616C756529207B0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(119) := '202020696620284F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E63616C6C2876616C75652C206B2929207B0A20202020202020202020202020202020202020202020202076203D20737472286B2C2076616C7565293B0A';
wwv_flow_api.g_varchar2_table(120) := '202020202020202020202020202020202020202020202020696620287629207B0A202020202020202020202020202020202020202020202020202020207061727469616C2E707573682871756F7465286B29202B2028676170203F20273A2027203A2027';
wwv_flow_api.g_varchar2_table(121) := '3A2729202B2076293B0A2020202020202020202020202020202020202020202020207D0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A2020202020202020202020207D0A0A2F2F204A6F696E2061';
wwv_flow_api.g_varchar2_table(122) := '6C6C206F6620746865206D656D62657220746578747320746F6765746865722C20736570617261746564207769746820636F6D6D61732C0A2F2F20616E642077726170207468656D20696E206272616365732E0A0A20202020202020202020202076203D';
wwv_flow_api.g_varchar2_table(123) := '207061727469616C2E6C656E677468203D3D3D20300A202020202020202020202020202020203F20277B7D270A202020202020202020202020202020203A206761700A202020202020202020202020202020203F20277B5C6E27202B20676170202B2070';
wwv_flow_api.g_varchar2_table(124) := '61727469616C2E6A6F696E28272C5C6E27202B2067617029202B20275C6E27202B206D696E64202B20277D270A202020202020202020202020202020203A20277B27202B207061727469616C2E6A6F696E28272C2729202B20277D273B0A202020202020';
wwv_flow_api.g_varchar2_table(125) := '202020202020676170203D206D696E643B0A20202020202020202020202072657475726E20763B0A20202020202020207D0A202020207D0A0A2F2F20496620746865204A534F4E206F626A65637420646F6573206E6F7420796574206861766520612073';
wwv_flow_api.g_varchar2_table(126) := '7472696E67696679206D6574686F642C2067697665206974206F6E652E0A0A2020202069662028747970656F66204A534F4E2E737472696E6769667920213D3D202766756E6374696F6E2729207B0A20202020202020204A534F4E2E737472696E676966';
wwv_flow_api.g_varchar2_table(127) := '79203D2066756E6374696F6E202876616C75652C207265706C616365722C20737061636529207B0A0A2F2F2054686520737472696E67696679206D6574686F642074616B657320612076616C756520616E6420616E206F7074696F6E616C207265706C61';
wwv_flow_api.g_varchar2_table(128) := '6365722C20616E6420616E206F7074696F6E616C0A2F2F20737061636520706172616D657465722C20616E642072657475726E732061204A534F4E20746578742E20546865207265706C616365722063616E20626520612066756E6374696F6E0A2F2F20';
wwv_flow_api.g_varchar2_table(129) := '746861742063616E207265706C6163652076616C7565732C206F7220616E206172726179206F6620737472696E677320746861742077696C6C2073656C65637420746865206B6579732E0A2F2F20412064656661756C74207265706C61636572206D6574';
wwv_flow_api.g_varchar2_table(130) := '686F642063616E2062652070726F76696465642E20557365206F662074686520737061636520706172616D657465722063616E0A2F2F2070726F6475636520746578742074686174206973206D6F726520656173696C79207265616461626C652E0A0A20';
wwv_flow_api.g_varchar2_table(131) := '202020202020202020202076617220693B0A202020202020202020202020676170203D2027273B0A202020202020202020202020696E64656E74203D2027273B0A0A2F2F2049662074686520737061636520706172616D657465722069732061206E756D';
wwv_flow_api.g_varchar2_table(132) := '6265722C206D616B6520616E20696E64656E7420737472696E6720636F6E7461696E696E6720746861740A2F2F206D616E79207370616365732E0A0A20202020202020202020202069662028747970656F66207370616365203D3D3D20276E756D626572';
wwv_flow_api.g_varchar2_table(133) := '2729207B0A20202020202020202020202020202020666F72202869203D20303B2069203C2073706163653B2069202B3D203129207B0A2020202020202020202020202020202020202020696E64656E74202B3D202720273B0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(134) := '20202020207D0A0A2F2F2049662074686520737061636520706172616D65746572206973206120737472696E672C2069742077696C6C20626520757365642061732074686520696E64656E7420737472696E672E0A0A2020202020202020202020207D20';
wwv_flow_api.g_varchar2_table(135) := '656C73652069662028747970656F66207370616365203D3D3D2027737472696E672729207B0A20202020202020202020202020202020696E64656E74203D2073706163653B0A2020202020202020202020207D0A0A2F2F20496620746865726520697320';
wwv_flow_api.g_varchar2_table(136) := '61207265706C616365722C206974206D75737420626520612066756E6374696F6E206F7220616E2061727261792E0A2F2F204F74686572776973652C207468726F7720616E206572726F722E0A0A202020202020202020202020726570203D207265706C';
wwv_flow_api.g_varchar2_table(137) := '616365723B0A202020202020202020202020696620287265706C6163657220262620747970656F66207265706C6163657220213D3D202766756E6374696F6E272026260A202020202020202020202020202020202020202028747970656F66207265706C';
wwv_flow_api.g_varchar2_table(138) := '6163657220213D3D20276F626A65637427207C7C0A2020202020202020202020202020202020202020747970656F66207265706C616365722E6C656E67746820213D3D20276E756D626572272929207B0A20202020202020202020202020202020746872';
wwv_flow_api.g_varchar2_table(139) := '6F77206E6577204572726F7228274A534F4E2E737472696E6769667927293B0A2020202020202020202020207D0A0A2F2F204D616B6520612066616B6520726F6F74206F626A65637420636F6E7461696E696E67206F75722076616C756520756E646572';
wwv_flow_api.g_varchar2_table(140) := '20746865206B6579206F662027272E0A2F2F2052657475726E2074686520726573756C74206F6620737472696E67696679696E67207468652076616C75652E0A0A20202020202020202020202072657475726E207374722827272C207B27273A2076616C';
wwv_flow_api.g_varchar2_table(141) := '75657D293B0A20202020202020207D3B0A202020207D0A0A0A2F2F20496620746865204A534F4E206F626A65637420646F6573206E6F742079657420686176652061207061727365206D6574686F642C2067697665206974206F6E652E0A0A2020202069';
wwv_flow_api.g_varchar2_table(142) := '662028747970656F66204A534F4E2E706172736520213D3D202766756E6374696F6E2729207B0A20202020202020204A534F4E2E7061727365203D2066756E6374696F6E2028746578742C207265766976657229207B0A0A2F2F20546865207061727365';
wwv_flow_api.g_varchar2_table(143) := '206D6574686F642074616B65732061207465787420616E6420616E206F7074696F6E616C20726576697665722066756E6374696F6E2C20616E642072657475726E730A2F2F2061204A6176615363726970742076616C7565206966207468652074657874';
wwv_flow_api.g_varchar2_table(144) := '20697320612076616C6964204A534F4E20746578742E0A0A202020202020202020202020766172206A3B0A0A20202020202020202020202066756E6374696F6E2077616C6B28686F6C6465722C206B657929207B0A0A2F2F205468652077616C6B206D65';
wwv_flow_api.g_varchar2_table(145) := '74686F64206973207573656420746F207265637572736976656C792077616C6B2074686520726573756C74696E672073747275637475726520736F0A2F2F2074686174206D6F64696669636174696F6E732063616E206265206D6164652E0A0A20202020';
wwv_flow_api.g_varchar2_table(146) := '202020202020202020202020766172206B2C20762C2076616C7565203D20686F6C6465725B6B65795D3B0A202020202020202020202020202020206966202876616C756520262620747970656F662076616C7565203D3D3D20276F626A6563742729207B';
wwv_flow_api.g_varchar2_table(147) := '0A2020202020202020202020202020202020202020666F7220286B20696E2076616C756529207B0A202020202020202020202020202020202020202020202020696620284F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E';
wwv_flow_api.g_varchar2_table(148) := '63616C6C2876616C75652C206B2929207B0A2020202020202020202020202020202020202020202020202020202076203D2077616C6B2876616C75652C206B293B0A20202020202020202020202020202020202020202020202020202020696620287620';
wwv_flow_api.g_varchar2_table(149) := '213D3D20756E646566696E656429207B0A202020202020202020202020202020202020202020202020202020202020202076616C75655B6B5D203D20763B0A202020202020202020202020202020202020202020202020202020207D20656C7365207B0A';
wwv_flow_api.g_varchar2_table(150) := '202020202020202020202020202020202020202020202020202020202020202064656C6574652076616C75655B6B5D3B0A202020202020202020202020202020202020202020202020202020207D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(151) := '2020207D0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A2020202020202020202020202020202072657475726E20726576697665722E63616C6C28686F6C6465722C206B65792C2076616C756529';
wwv_flow_api.g_varchar2_table(152) := '3B0A2020202020202020202020207D0A0A0A2F2F2050617273696E672068617070656E7320696E20666F7572207374616765732E20496E207468652066697273742073746167652C207765207265706C616365206365727461696E0A2F2F20556E69636F';
wwv_flow_api.g_varchar2_table(153) := '646520636861726163746572732077697468206573636170652073657175656E6365732E204A6176615363726970742068616E646C6573206D616E7920636861726163746572730A2F2F20696E636F72726563746C792C206569746865722073696C656E';
wwv_flow_api.g_varchar2_table(154) := '746C792064656C6574696E67207468656D2C206F72207472656174696E67207468656D206173206C696E6520656E64696E67732E0A0A20202020202020202020202074657874203D20537472696E672874657874293B0A20202020202020202020202063';
wwv_flow_api.g_varchar2_table(155) := '782E6C617374496E646578203D20303B0A2020202020202020202020206966202863782E7465737428746578742929207B0A2020202020202020202020202020202074657874203D20746578742E7265706C6163652863782C2066756E6374696F6E2028';
wwv_flow_api.g_varchar2_table(156) := '6129207B0A202020202020202020202020202020202020202072657475726E20275C5C7527202B0A20202020202020202020202020202020202020202020202028273030303027202B20612E63686172436F646541742830292E746F537472696E672831';
wwv_flow_api.g_varchar2_table(157) := '3629292E736C696365282D34293B0A202020202020202020202020202020207D293B0A2020202020202020202020207D0A0A2F2F20496E20746865207365636F6E642073746167652C2077652072756E20746865207465787420616761696E7374207265';
wwv_flow_api.g_varchar2_table(158) := '67756C61722065787072657373696F6E732074686174206C6F6F6B0A2F2F20666F72206E6F6E2D4A534F4E207061747465726E732E2057652061726520657370656369616C6C7920636F6E6365726E65642077697468202728292720616E6420276E6577';
wwv_flow_api.g_varchar2_table(159) := '270A2F2F206265636175736520746865792063616E20636175736520696E766F636174696F6E2C20616E6420273D2720626563617573652069742063616E206361757365206D75746174696F6E2E0A2F2F20427574206A75737420746F20626520736166';
wwv_flow_api.g_varchar2_table(160) := '652C2077652077616E7420746F2072656A65637420616C6C20756E657870656374656420666F726D732E0A0A2F2F2057652073706C697420746865207365636F6E6420737461676520696E746F203420726567657870206F7065726174696F6E7320696E';
wwv_flow_api.g_varchar2_table(161) := '206F7264657220746F20776F726B2061726F756E640A2F2F2063726970706C696E6720696E656666696369656E6369657320696E204945277320616E642053616661726927732072656765787020656E67696E65732E2046697273742077650A2F2F2072';
wwv_flow_api.g_varchar2_table(162) := '65706C61636520746865204A534F4E206261636B736C617368207061697273207769746820274027202861206E6F6E2D4A534F4E20636861726163746572292E205365636F6E642C2077650A2F2F207265706C61636520616C6C2073696D706C65207661';
wwv_flow_api.g_varchar2_table(163) := '6C756520746F6B656E73207769746820275D2720636861726163746572732E2054686972642C2077652064656C65746520616C6C0A2F2F206F70656E20627261636B657473207468617420666F6C6C6F77206120636F6C6F6E206F7220636F6D6D61206F';
wwv_flow_api.g_varchar2_table(164) := '72207468617420626567696E2074686520746578742E2046696E616C6C792C0A2F2F207765206C6F6F6B20746F207365652074686174207468652072656D61696E696E67206368617261637465727320617265206F6E6C79207768697465737061636520';
wwv_flow_api.g_varchar2_table(165) := '6F7220275D27206F720A2F2F20272C27206F7220273A27206F7220277B27206F7220277D272E204966207468617420697320736F2C207468656E207468652074657874206973207361666520666F72206576616C2E0A0A20202020202020202020202069';
wwv_flow_api.g_varchar2_table(166) := '6620282F5E5B5C5D2C3A7B7D5C735D2A242F0A20202020202020202020202020202020202020202E7465737428746578742E7265706C616365282F5C5C283F3A5B225C5C5C2F62666E72745D7C755B302D39612D66412D465D7B347D292F672C20274027';
wwv_flow_api.g_varchar2_table(167) := '290A2020202020202020202020202020202020202020202020202E7265706C616365282F225B5E225C5C5C6E5C725D2A227C747275657C66616C73657C6E756C6C7C2D3F5C642B283F3A5C2E5C642A293F283F3A5B65455D5B2B5C2D5D3F5C642B293F2F';
wwv_flow_api.g_varchar2_table(168) := '672C20275D27290A2020202020202020202020202020202020202020202020202E7265706C616365282F283F3A5E7C3A7C2C29283F3A5C732A5C5B292B2F672C202727292929207B0A0A2F2F20496E207468652074686972642073746167652077652075';
wwv_flow_api.g_varchar2_table(169) := '736520746865206576616C2066756E6374696F6E20746F20636F6D70696C6520746865207465787420696E746F20610A2F2F204A617661536372697074207374727563747572652E2054686520277B27206F70657261746F72206973207375626A656374';
wwv_flow_api.g_varchar2_table(170) := '20746F20612073796E74616374696320616D626967756974790A2F2F20696E204A6176615363726970743A2069742063616E20626567696E206120626C6F636B206F7220616E206F626A656374206C69746572616C2E2057652077726170207468652074';
wwv_flow_api.g_varchar2_table(171) := '6578740A2F2F20696E20706172656E7320746F20656C696D696E6174652074686520616D626967756974792E0A0A202020202020202020202020202020206A203D206576616C28272827202B2074657874202B20272927293B0A0A2F2F20496E20746865';
wwv_flow_api.g_varchar2_table(172) := '206F7074696F6E616C20666F757274682073746167652C207765207265637572736976656C792077616C6B20746865206E6577207374727563747572652C2070617373696E670A2F2F2065616368206E616D652F76616C7565207061697220746F206120';
wwv_flow_api.g_varchar2_table(173) := '726576697665722066756E6374696F6E20666F7220706F737369626C65207472616E73666F726D6174696F6E2E0A0A2020202020202020202020202020202072657475726E20747970656F662072657669766572203D3D3D202766756E6374696F6E270A';
wwv_flow_api.g_varchar2_table(174) := '20202020202020202020202020202020202020203F2077616C6B287B27273A206A7D2C202727290A20202020202020202020202020202020202020203A206A3B0A2020202020202020202020207D0A0A2F2F204966207468652074657874206973206E6F';
wwv_flow_api.g_varchar2_table(175) := '74204A534F4E20706172736561626C652C207468656E20612053796E7461784572726F72206973207468726F776E2E0A0A2020202020202020202020207468726F77206E65772053796E7461784572726F7228274A534F4E2E706172736527293B0A2020';
wwv_flow_api.g_varchar2_table(176) := '2020202020207D3B0A202020207D0A7D2829293B0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(26096729225543695613)
,p_plugin_id=>wwv_flow_api.id(26096725044756695601)
,p_file_name=>'json2.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
